Option Explicit
On Error Resume Next

'Changes WWC 03042003
'new param for IIS present check
'new param for AccessMode - enable/disable virdir - AccessMode(none=0,read=1,rw=3)] none=disabled (site is inaccessable)
'new param for AuthMode - AuthFlags (A=1,A+B=3,A+IWA=5,A+B+IWA=7) where A=Anonymous, B=Basic, IWA=Integrated Windows Athentication
'mew param for AccessExes (none=0, scripts=1, scripts and exes=3)
'new param for DefaultDoc type=string, comma-delimite e.g. "doc1,doc2,doc3,docn" 

Const USAGE_MESSAGE = "IISVirDir.vbs SystemName VirtualDirectory VirtualName SystemPath AccessMode AuthMode AccessType DefaultDocs"
Const DEFAULT_VIR_DIRECTORY = "ITAssistant"
Const DEFAULT_VIR_NAME = "ITAssistant"
Const DEFAULT_VIR_PATH = "C:\Program Files\Dell\OpenManage\IT Assistant\UserInterfaceComponents"
Const VIR_DIR_EXISTS_MSG = "Virtual directory already exists"
Const CREATING_VIR_DIR_MSG = "Creating virtual directory..."
Const ADSI_GETOBJECT_IIS_ERROR = "Error:ADSI:GetObject(IIS)"
Const ADSI_CREATE_IISWEBVIRTUALDIR_IIS_ERROR = "Error:ADSI:Create:IISWebVirtualDir(IIS)"
Const VIR_DIR_CREATE_SUCCESS = "The virtual directory was successfully created"


if Not (IsIIS) then
'	wscript.echo "IIS is not installed on this system"
	wscript.quit
end if

dim oArgs, arg
Set oArgs = Wscript.Arguments

if oArgs.Count > 8 then 
	ShowUsage()
	wscript.quit(1)
end if


dim strSysName, strVirtualDir, strVirtualName, strSystemPath
strSysName = GetSysName()
strVirtualDir = DEFAULT_VIR_DIRECTORY
strVirtualName = DEFAULT_VIR_NAME
strSystemPath = DEFAULT_VIR_PATH

dim strAccessMode, strAuthMode, strAccessType, strDefaultDocs
strAuthMode = ""


Select Case oArgs.Count
	Case 0
		'Use all Defaults and use local system name
	Case 1
		strSysName = oArgs(0)
	Case 2
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
	Case 3
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
		strVirtualName = oArgs(2)
	Case 4
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
		strVirtualName = oArgs(2)
		strSystemPath = oArgs(3)
	Case 5
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
		strVirtualName = oArgs(2)
		strSystemPath = oArgs(3)
		strAccessMode = oArgs(4)
	Case 6
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
		strVirtualName = oArgs(2)
		strSystemPath = oArgs(3)
		strAccessMode = oArgs(4)
		strAuthMode = oArgs(5)
	Case 7
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
		strVirtualName = oArgs(2)
		strSystemPath = oArgs(3)
		strAccessMode = oArgs(4)
		strAuthMode = oArgs(5)
		strAccessType = oArgs(6)
	Case 8
		strSysName = oArgs(0)
		strVirtualDir = oArgs(1)
		strVirtualName = oArgs(2)
		strSystemPath = oArgs(3)
		strAccessMode = oArgs(4)
		strAuthMode = oArgs(5)
		strAccessType = oArgs(6)
		strDefaultDocs = oArgs(7)
	Case Else
		ShowUsage()
End Select

if Trim(strSysName) = "" then
	strSysName = GetSysName()
end if


Dim Root
Dim Dir

'Err = 0
Set Root = GetObject("IIS://" & strSysName & "/W3SVC/1/ROOT")
if (Err.Number <> 0) then
    wscript.Quit(2)
end if

dim o, so
for each o in Root
	if UCase(o.KeyType) = UCase("IIsWebVirtualDir") then
		if UCase(o.name) = Ucase(strVirtualDir) then
			Root.Delete "IIsWebVirtualDir", strVirtualDir 	
		end if
	end if
next

'Err = 0
Set Dir = Root.Create("IIsWebVirtualDir", strVirtualDir)
if (Err.Number <> 0) then
    wscript.Quit(3)
end if

Dir.Path = strSystemPath

'evaluate AccessMode
Select Case (strAccessMode)
	Case ("0")
		Dir.AccessRead = False
	Case ("1")
		Dir.AccessRead = True
		Dir.AccessWrite = False
	Case ("3")
		Dir.AccessRead = True
		Dir.AccessWrite = True
	Case Else
		Dir.AccessRead = True	
End Select

'evaluate AuthMode
Dir.AuthAnonymous = True
Dir.AuthBasic = False
Dir.AuthNTLM = True
Select Case (strAuthMode)
	Case ("1")
		Dir.AuthNTLM = False
	Case ("3")
		Dir.AuthBasic = True
	Case ("5")
		'keep defaults
	Case ("7")
		Dir.AuthBasic = True
	Case Else
		'keep defaults
End Select

'evaluate AccessExes
Dir.AccessExecute = False
Dir.AccessScript = False
Select Case (strAccessType)
	Case ("0")
		'keep defaults
	Case ("1")
		Dir.AccessScript = True
	Case ("3")
		Dir.AccessExecute = True
	Case Else
		'keep defaults
End Select

'set Default Docs
if strDefaultDocs = "" then
	strDefaultDocs = "index.htm,Default.htm,Default.asp,index.asp"
end if

Dir.DefaultDoc = strDefaultDocs
Dir.EnableDefaultDoc = True
Dir.EnableDirBrowsing = False
Dir.AppFriendlyName = strVirtualName

'Err = 0
Dir.SetInfo
if (Err.Number <> 0) then
    wscript.Quit(4)
end if


Set Dir = Nothing

Set Root = Nothing

private function GetSysName()
	dim oNet
	Set oNet = CreateObject("WScript.Network")
	GetSysName = oNet.ComputerName
	Set oNet = Nothing
end function

private function IsIIS()
	IsIIS = false
	'on error resume next
	dim oIIS, service
	Err = 0
	Set oIIS = GetObject("IIS://LocalHost")
	if Err <> 0 then
		wscript.quit
	end if
	for each service in oIIS
		wscript.echo service.KeyType
		if UCase(service.KeyType) = "IISWEBSERVICE" then
			IsIIS = true
		end if
	next
end function


private sub ShowUsage()
	wscript.echo (USAGE_MESSAGE)
end sub
