#!/bin/sh
# uninstri.sh 
# Description:  Cleans up temporary files left by Kickstart Agent
#		Stops the service if running
#		Uninstalls the rpms
# Author: Anusha Ragunathan

LOG_FILE="/var/tmp/nsagents.log"

KSA=kickstart
KSRPMNAME="${KSA}-3.1-3"
KSRPM="${KSRPMNAME}.i686.rpm"

NSA=nsagent
NSRPMNAME="${NSA}-2.00-1"
NSRPM="${NSRPMNAME}.i686.rpm"



function write_to_log
{
        echo `date`--"$1" >> ${LOG_FILE}
}


# Call ksdone.sh
# Stops the service
# Call with a parameter "Autry" so that ksdone does not reboot
if [ -f /usr/dell/kickstart/ksdone.sh ]; then
	/usr/dell/kickstart/ksdone.sh Autry
fi


# removes rpm
rpm -e --nodeps ${KSA} >>${LOG_FILE} 2>&1
if [ $? != 0 ]; then
	write_to_log "Error: UnInstalling  ${KSA} "
else
	write_to_log "Success: UnInstalling ${KSA} "
fi

# Cleanup left over stuff
if [ -d /usr/dell/kickstart ] ; then
        rm -rf /usr/dell/kickstart
fi

# UnInstall Netstart Agent and check on result

# Here we can see if the Netstart Agent is running and then kill it if it is
# PIDS=`ps -Af` |grep ddtp_ |grep -v grep | sed -e '-s/root//' -e '-s/ *//' | cut -d' ' -f 1`
# if test "x${PIDS}" != "x"; then
# kill -9 ${PIDS}
# fi

# ps -Af |grep ksagent |grep -v grep | sed -e 's/root//' -e 's/ *//' | cut -d' ' -f 1

rpm -e ${NSRPMNAME} >>${LOG_FILE} 2>&1
if [ $? != 0 ]; then
       write_to_log "Error: UnInstalling  ${NSRPM} "
else
       write_to_log "Success: UnInstalling ${NSRPM} "
fi
