<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA">
		<xsl:call-template name="CLISubCommand">
			<xsl:with-param name="command"><xsl:value-of select="CLISubCommand"/></xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="CLIMsgID">
			<xsl:with-param name="id"><xsl:value-of select="CLIMsgID"/></xsl:with-param>
			<xsl:with-param name="shownvpairs"><xsl:value-of select="CLIShowNVPairs"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="CLIMsgID">
		<xsl:param name="id"/>
		<xsl:param name="shownvpairs"/>
		<xsl:choose>
			<xsl:when test="$id = '1'">
				<!--XLATESTART-->Runs CPU diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>	
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text></xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '2'">
				<!--XLATESTART-->Runs CMOS diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text> </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '3'">
				<!--XLATESTART-->Runs PCI diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
    	 			       <xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '4'">
				<!--XLATESTART-->Runs Memory diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '5'">
				<!--XLATESTART-->Runs Video diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '6'">
				<!--XLATESTART-->Runs Parallel Port diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '7'">
				<!--XLATESTART-->Runs Serial Port diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '8'">
				<!--XLATESTART-->Runs USB diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '9'">
				<!--XLATESTART-->Runs Network Card diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '10'">
				<!--XLATESTART-->Runs Modem diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
				 </xsl:when>

			<xsl:when test="$id = '11'">
				<!--XLATESTART-->Runs DVD Drive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '12'">
				<!--XLATESTART-->Runs Floppy Drive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '13'">
				<!--XLATESTART-->Runs Adaptec Controller diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '14'">
				<!--XLATESTART-->Runs LSI SCSI Raid Controller diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '15'">
				<!--XLATESTART-->Runs Hard Drive diagnostics on SCSI attached disks.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '16'">
				<!--XLATESTART-->Runs Hard Drive diagnostics on RAID attached disks.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '17'">
				<!--XLATESTART-->Runs IDE Disk diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '18'">
				<!--XLATESTART-->Runs SMART diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '19'">
				<!--XLATESTART-->Runs Tape Drive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '20'">
				<!--XLATESTART-->Runs SCSI Controller diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '21'">
				<!--XLATESTART-->Runs CD Drive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '22'">
				<!--XLATESTART-->Runs CDRW Drive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '23'">
				<!--XLATESTART-->Runs LS Drive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if>
                        </xsl:when>
                        <xsl:when test="$id = '25'">
				<!--XLATESTART-->List all available System diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '26'">
				<!--XLATESTART-->List all available Chassis diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '27'">
				<!--XLATESTART-->List all available Storage diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '30'">
				<!--XLATESTART-->Runs Harddrive diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '31'">
				<!--XLATESTART-->Reports health of Diagnostic Service.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '32'">
				<!--XLATESTART-->Runs IDE Raid Controller diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '33'">
				<!--XLATESTART-->Runs Hard Drive diagnostics on IDE Raid attached disks.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '34'">
				<!--XLATESTART-->Runs LSI RAID Battery diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
                        <xsl:when test="$id = '35'">
				<!--XLATESTART-->Runs Tape Automation Library diagnostics.<!--XLATESTOP-->
				<xsl:if test="$shownvpairs = 'true'">
					<xsl:call-template name="NewLine"/>
					<!--XLATESTART-->Valid parameters are:<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>passes=&lt;number&gt;      <!--XLATESTART-->Specifies number of times to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>mintime=&lt;minute&gt;     <!--XLATESTART-->Specifies minimum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/>maxtime=&lt;minute&gt;     <!--XLATESTART-->Specifies maximum amount of time to run diag.<!--XLATESTOP-->
					<xsl:call-template name="NewLine"/><!--XLATESTART-->Note: The Minimum Time and Maximum Time override the Number of Passes.<!--XLATESTOP-->
					<xsl:text>      </xsl:text><!--XLATESTART--><!--XLATESTOP-->
				</xsl:if> 
                        </xsl:when>
		</xsl:choose>
		<xsl:call-template name="NewLine"/>
	</xsl:template>
	<xsl:template name="CLISubCommand">
		<xsl:param name="command"/>
		<xsl:if test="$command != ''">
			<xsl:value-of select="$command"/>
			<xsl:call-template name="Spaces">
			   <xsl:with-param name="num"><xsl:value-of select="normalize-space(translate(((16) - string-length($command)),',',' '))"/></xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="Spaces">
		<xsl:param name="num"/>
		<xsl:text> </xsl:text>
	<xsl:if test="$num &gt; '0'">
			<xsl:call-template name="Spaces">
				<xsl:with-param name="num">
	<xsl:value-of select="normalize-space(translate((($num)-1),',',' '))"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="NewLine">
		<xsl:text>
</xsl:text>
	</xsl:template>
</xsl:stylesheet>
