Name: racvnc
Version: 1.0
Release: 1
Vendor: Dell Computer Corporation
Copyright: (c) 2000 Dell Corporation
Group: Utilities/System
Source: ftp://ftp.dell.com/racvnc-%{version}.tar.gz
URL: http://www.support.dell.com
Packager: Dell Computer Corporation, Phone: 1-800-289-3355
Summary:  Dell OpenManage Remote Services
Requires: ppp >= 2.3.11, kernel >= 2.2.14, racser >= 1.0
Buildroot: /var/tmp/%{name}-root
#Patch0: vnc-3.3.3r2-ia64.patch
Patch0: racvnc-1.0.patch

%description
Dell OpenManage Remote Services Server Agent for Redhat Linux iX86.

%prep
%setup -q
#%patch0 -p1 -b .ia64
%patch0 -p1 -b .rac

%build
/usr/bin/X11/xmkmf "" .
make -k World
cd Xvnc
make -k World
cd ..

%install
dst=$RPM_BUILD_ROOT/usr/sbin
mkdir -p $dst
for f in Xvnc/programs/Xserver/Xvnc \
	 vncviewer/vncviewer \
	 vncpasswd/vncpasswd \
	 server
do
	if cmp -s $f $dst/rac`basename $f`; then
		echo "`basename $f` has not changed"
	else
		echo "Copying $f to $dst"
		cp -pf $f $dst/rac`basename $f`
		chmod 0555 $dst/rac`basename $f`
	fi
done
strip $dst/* || :
rm -rf $dst/racvncviewer

dst=$RPM_BUILD_ROOT/var/racvnc
mkdir -p $dst
for f in passwd rac.twmrc
do
	if cmp -s $f $dst/$f; then
		echo "`basename $f` has not changed"
	else
		echo "Copying $f to $dst"
		cp -pf $f $dst/$f
		chmod 0555 $dst/$f
	fi
done

dst=$RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $dst
cp -pf config $dst/racvnc

dst=$RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $dst
cp -pf init.sh $dst/racvnc
chmod 0755 $dst/racvnc

%post
/sbin/chkconfig --add racvnc

%preun
service racvnc stop
/sbin/chkconfig --del racvnc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENCE.TXT
/usr/sbin/racXvnc
/usr/sbin/racvncpasswd
/usr/sbin/racserver
/etc/rc.d/init.d/racvnc
/etc/sysconfig/racvnc
/var/racvnc/passwd
/var/racvnc/rac.twmrc

%changelog
* Thu Oct 25 2001 Tim Murphy <Tim_T_Murphy@dell.com>
- product name change: DRSC -> RAC
* Tue Jun 12 2001 Tim Murphy <Tim_T_Murphy@dell.com>
- changed version numbering to match DRSC packaging (3.3.3r2 -> 1.0.0)
- removed patch0 for ia64 vnc from i386 build
* Fri Nov 30 2000 Roger Bolick <Roger_Bolick@dell.com>
- add configuration files for automated startup/shutdown at boot and reboot
* Mon Oct 30 2000 Roger Bolick <Roger_Bolick@dell.com>
- add vnc.spec file for version 3.3.3r2 vnc installation
- note the ia64 patch only effects adds the ia64 definitions
  to the configuration files and has no effect on non-ia64 machines
* Thu Aug 24 2000 Roger Bolick <Roger_Bolick@dell.com>
- add patch for vncserver to add drs features
- add drsvnc.spec file for version 3.3.3r1 drsvnc installation
