#!/bin/sh
# syntax: adduser.sh LanguageCode  text/html adduser.rcf userID password
# Copyright (C) 2002, Dell Computer Corporation
# 2002/05/09 RBL 

# If too few args to give sensible error msg, give usage.
IFS=""
rs=0
if [ `expr $# \>= 3` = 0 ] 
then
  #echo "Usage adduser.sh LanguageCode text/html adduser.rcf username password"
  echo "12515"
  exit 1
fi
echo -n "" >$3
echo "Starting $0 with args '$1' '$2' '$3' '$4' 'password' " >>$3
# First, check number of arguments. 
if [ $# != 5 ]
then 
    echo "12515"  >>$3
    exit 1
fi

# Go thru the motions only if there is a nonblank username and password.
# (Start with an empty output file.)
if [ -n "$4" -a -n "$5" ]
then
    # If there is an account of this name, remove it and its files.
    echo "Do 'userdel -r $4' " >>$3
    if [ -z "$fDEBUG" ] 
    then
        userdel -r "$4"     >>$3 2>&1
        rs=$?
    fi
    if [ "$rs" = 0 ] 
    then
        echo "Removed existing user ($4) account, replacing. . ." >> $3
    fi

    # Create a non-privileged user account and associated directory.
    # Encrypt the password, then use it, then erase all traces.
    if [ ! -d /tmp/dell ] 
    then
        mkdir /tmp/dell
    fi
    cat <<-'EOF' > /tmp/dell/cryptpw.pl
	#!/bin/perl
	my $passplain, $passcrypt, $salt;
	$passplain = $ARGV[0];
	$salt = seedchar().seedchar();
	$passcrypt = crypt( $passplain, $salt );
	print STDOUT "$passcrypt";
	if ( crypt( $passplain, $passcrypt ) ne $passcrypt ) 
	{    print STDOUT "NOGOOD";
	}
	#sub seedchar {('a'..'z','A'..'Z','0'..'9','.','/','')[rand(64)];}
	sub seedchar {('.','/',0..9,'A'..'Z','a'..'z')[rand 64];}
	EOF
    echo "Do perl to encrypt password" >>$3
    cpw=`perl /tmp/dell/cryptpw.pl $5   2>&1`
    rm -f /tmp/dell/cryptpw.pl

    echo "Do 'useradd -p $cpw -m $4' " >>$3
    if [ -z "$fDEBUG" ] 
    then
        useradd -p $cpw -m $4   >>$3 2>&1
        rs=$?
    fi
    cpw=
    if [ "$rs" != 0 ]
    then
        echo "12515" >> $3
        #echo "       Please verify the configuration information you have provided is correct." >> $3
        #echo " " >> $3
        #echo "The following is the configuration information that you have provided:" >> $3
        #echo "Add UserID: " $4 >> $3
        exit 1
    else
        echo "Add new user, script was executed SUCCESSFULLY!" >> $3
    fi
else
    echo "Add new user: no username, script OKAY but no user added." >> $3
fi
exit 0

# Edits:
# 20020509  RBL Remove acct if already there. 
# 20020521  RBL Harden, add debug output, debug escapes. 
#               Create /tmp/dell if not already there. 
# 20020628  RBL Fix accidental cap Es in echos.
#
