#!/bin/sh
# Copyright (C) 2002, Dell Computer Corporation.
#
# syntax: setdns.sh LanguageCode  text/html setdns.rcf dns1 dns2(option)

IFS=""
rs=0
# If not even enough args for sensible error log, then give usage.
if [ `expr $# \>= 3` = 0 ] 
then
  #echo "Usage setdns.sh LanguageCode text/html setdns.rcf dns1 dns2(optional)"
  echo "12517"
  exit 1
fi

echo -n "" >$3
echo "Starting $0 with args '$1' '$2' '$3' '$4' '$5' " >>$3

if [ -f /etc/resolv.conf.sv ]
then
   echo "Renaming resolv.conf.sv to resolv.conf.sv.bak" >>$3
   mv /etc/resolv.conf.sv /etc/resolv.conf.sv.bak
fi
	

if [ $# = 4 ]       # 4 args = 1 DNS
then
   echo "nameserver $4" >> /etc/resolv.conf
   echo "DNS configuration, script was executed SUCCESSFULLY!" >>$3
elif [ $# = 5 ]     # 5 args = 2 DNS
then
   echo "nameserver $4" >> /etc/resolv.conf
   echo "nameserver $5" >> /etc/resolv.conf
   echo "DNS configuration, script was executed SUCCESSFULLY!" >>$3
else
   echo "12517" >> $3
   exit 1
fi
exit 0

# Edits:
# 20020520  RBL Harden: usage if too few args, more info into rcf file.
#
