#!/bin/sh
NSAGENTRPM="/usr/dell/kickstart/nsagent-2.00-1.i686.rpm";
KABARDIR="/usr/dell/paw";
CLOB="/nsa.dd.dat";
POSTKS_SCRIPT="/usr/dell/riscripts/postri/postri.sh";

echo "---------------Disabling Kickstart not to appear on first boot--------------"
rm -f /usr/dell/kickstart/KSstates.txt
rm -f /usr/dell/kickstart/ip.txt
rm -f /usr/dell/kickstart/*.rcf
rm -f /usr/dell/kickstart/config.xml
rm -f /usr/dell/kickstart/tconfig.xml
rm -f /usr/dell/kickstart/tconfig
rm -f /usr/dell/kickstart/cfg.txt

# This is true only for system with "Dont configure" option
rm -f /usr/dell/kickstart/tconfig/custom/ID.ACCEPTKSCONFIG

#remove startup code from /etc/rc.d/rc.local
awk '  BEGIN  { output=1; }
       /Dell KSA-0-BEGIN/ { output=0; }
         { if ( output ) print ; }
       /Dell KSA-0-END/  { output=1; }
         { next; } ' </etc/rc.d/rc.local >/tmp/rc.local
cat /tmp/rc.local >/etc/rc.d/rc.local
rm -f /tmp/rc.local

# Install nsagent for Solutions Deployment servers 
if [ -f ${CLOB} ] && [ -d ${KABARDIR} ] ; then
	rpm -i ${NSAGENTRPM}
	if [ $? != 0 ]; then
		echo "Error Installing ${NSAGENTRPM}";
	fi
fi

# For Kabar: Run postks.sh if present
if [ -f ${POSTKS_SCRIPT} ] ; then
	sh ${POSTKS_SCRIPT}
	if [ $? != 0 ]; then
		echo "Error Executing ${POSTKS_SCRIPT}";
	fi
fi

# Here we can see if the kickstart Agent is running and then kill it if it is
PIDS=`ps -Af |grep ksagent |grep -v grep | sed -e 's/root//' -e 's/ *//' | cut -d' ' -f 1`
if test "x${PIDS}" != "x"; then
	#Stop the service
	/usr/dell/kickstart/ksd stop
fi

if [ "$1" != "Autry" ] ; then
	/sbin/shutdown now -r -t 0
fi
