#!/usr/bin/perl

# Dell Kickstart 3.0 -Systems Deployment
# Script to obtain DHCP assigned IP addresses to all interfaces without an IP
# Author: Anusha Ragunathan

# This script parses ifconfig in RedHat Linux 7.2 to obtain information 
# about whether an interface has an IP or not
# If it does, then we do not disturb the existing settings
# If it does not, then we run the dhcdcd against that interface

# If more than one intreface is on the same subnet, the last one to join
# drops its IP Address

# Now am parsing only ifconfig (NOT ifconfig -a), so that I dont obtain dhcp Addr
# for disables NICs: Also remove -R option from dhcpcd
# Also log file moved to /var/log/dhcp.log

#replaced regular expression so that Linux 9 does not crash
# Also, added check for blank interface names

#run dhclient for Linux 8 and 9 boxes

my @myarray=`LANG=c /sbin/ifconfig`;
my($last)="";
my(%device);
my($cmd);
my $line;
my $element;
my $command;
my $index;
my $dev;
my (%kill);

my $version1=`cat /etc/redhat-release| egrep "Red Hat Linux release 7.3"`;
my $version2=`cat /etc/redhat-release| egrep "Red Hat Linux release 9"`;

# $cmd depends on the OS version
if($version1 ne ""){
	$cmd="/sbin/dhcpcd -i DellKickstart ";
}
if($version2 ne ""){
	$cmd="/sbin/dhclient -q ";
}


open(FILE,"> /var/log/dhcp.log");
foreach $line (@myarray) {
   $_=$line;
   if(/^([\S]+)/) {
      $last=$1;
      $last=~ s/\s+//; # trim interface names of all white spaces
      $device{$last}{IFACE}=$last;
      $device{$last}{STATUS}="no";
      $device{$last}{INIT}="no";
	print FILE "$last\n";
   }
   if(/inet addr:/) {
         $device{$last}{STATUS}="yes";
   }

}

$debugcount=0;
while(1)
{
print FILE getppid();
if(getppid()==1)
{
	print FILE "Ksagent exits";

	# Before exiting we need to kill all the dhcpcd client processes that have been started by us
	# This can be done by dhcpcd
	# This is to dis-allow the dhcpcd client to obtain an IP address after the lease expires. 
	# This is because we dont want to over-write the IP configuration set by Kickstart agent
	system("killall dhcpcd");
	# kill dhclient
	system("killall dhclient");
	exit(0);
}

foreach $element(keys %device)
{

#*****************
	#Run dhcpcd 
	$device{$element}{IFACE}=~ s/\s+//;
	if($device{$elemet}{IFACE} == '')
	{
	}
	else
	{
		if($device{$element}{STATUS} eq 'no')
		{

                	$command=$cmd.$device{$element}{IFACE};
			$up="LANG=c /sbin/ifconfig ".$device{$element}{IFACE}." up";
			print FILE "$up\n";
			system($up);
                	print FILE "$command\n";
                	system($command);
		}
		else
		{
			$kill{$element}=0;
		}
	}
}
#*****************

# Sleep for 3 secs before you update the status
# This is to allow the ifconfig to loose the IPaddr incase both IP's are on the same subnet and continue to talk to the DHCP server

sleep(3);


#Update Status
my @array=();
@array=`LANG=c /sbin/ifconfig`;

	foreach $line (@array) 
	{
	  $_=$line;
	print FILE "$_\n";
 	if(/^([\S]+)/) {
  	    $last=$1;
      	    $last=~ s/\s+//; #trim interface names of all white space characters
  	    $device{$last}{IFACE}=$last;
  	    $device{$last}{STATUS}="no";

  	 	}
	   if(/inet addr:/) {
		print FILE "$last";
		print FILE "\t";
		print FILE $_;
	        $device{$last}{STATUS}="yes";
		}
	}

#*****************
#Exit if all interfaces have IP
#Check the status
$index=0;
foreach $dev(keys %device)
{
	print FILE "$device{$dev}{IFACE}\t";
	print FILE "$device{$dev}{STATUS}\n";
	if($device{$dev}{STATUS} eq 'no')
	{
		$index=1;	
	}
}


if($index==0)
{
	exit(0);
}


}

