<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:output method = "html" omit-xml-declaration = "yes" standalone = "yes" indent = "yes" /> 

<xsl:template match="/">                    <!--root rule-->
  <html>
    <head><title>System Summary</title></head>
       <body>
        <xsl:apply-templates />
    </body>
  </html>
</xsl:template>

<xsl:template match="ID">
<br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br><B><font color="#0000ff">Identification</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<table  width="95%" border="1" cellspacing="0" cellpadding="0">
<xsl:apply-templates />
</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
</xsl:template>

<xsl:template match="PROCESSORS">
<B><font color="#0000ff">Processors</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<xsl:for-each select="CPU">
	<B>Processor <xsl:value-of select="@cpu_id" /></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
	<table  width="95%" border="1" cellspacing="0" cellpadding="0">
		<xsl:apply-templates/>
	</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
</xsl:for-each>
</xsl:template>

<xsl:template match="MEMORY">
<B><font color="#0000ff">Memory</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<table  width="95%" border="1" cellspacing="0" cellpadding="0">
<xsl:apply-templates />
</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
</xsl:template>

<xsl:template match="NETWORK">
<B><font color="#0000ff">Network</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<xsl:for-each select="NIC">
<B>Network Interface <xsl:value-of select="INDEX" /></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<table  width="95%" border="1" cellspacing="0" cellpadding="0">
<xsl:apply-templates />
</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
</xsl:for-each>
</xsl:template>

<xsl:template match="STORAGE">
<B><font color="#0000ff">Storage</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<xsl:for-each select="CONTROLLER">
<!--	<B>Disk Controller <xsl:value-of select="@controller_id" /></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br> -->
	<xsl:for-each select="DISK">
		<B>Disk <xsl:value-of select="@disk_id" /></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
		<table  width="95%" border="1" cellspacing="0" cellpadding="0">
<!--			<tr><td><B>Disk</B></td><td><B><xsl:value-of select="@disk_id" /> </B></td></tr> -->
			<xsl:apply-templates select="TYPE"/>
			<xsl:apply-templates select="MODEL"/>
			<xsl:apply-templates select="RAIDLEVEL"/>
			<xsl:apply-templates select="CAPACITY"/>
			<xsl:for-each select="PARTITION">
				<tr><td>Partition <xsl:value-of select="@partition_id"/></td><td>
					<table  width="100%" border="0" cellspacing="0" cellpadding="0">
					<xsl:apply-templates/>
					</table>
					</td>
				</tr>
			</xsl:for-each>
		</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
	</xsl:for-each>
</xsl:for-each>
</xsl:template>

<xsl:template match="OS">
<B><font color="#0000ff">Operating System</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<table  width="95%" border="1" cellspacing="0" cellpadding="0">
<xsl:apply-templates />
</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
</xsl:template>

<xsl:template match="SOLUTION">
<B><font color="#0000ff">Solution</font></B><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
<table  width="95%" border="1" cellspacing="0" cellpadding="0">
<xsl:apply-templates />
</table><br><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></br>
</xsl:template>

<xsl:template match="SERVICETAG">
<tr><td >Service Tag </td><td ><B><xsl:apply-templates /> </B></td></tr>
</xsl:template>

<xsl:template match="NAME">
<tr><td>Name </td><td><B><xsl:apply-templates /> </B></td></tr>
</xsl:template>

<xsl:template match="VERSION">
<tr><td>Version</td><td><B><xsl:apply-templates /> </B></td></tr>
</xsl:template>

<xsl:template match="BUILD">
<tr><td>Build</td><td><B><xsl:apply-templates /> </B></td></tr>
</xsl:template>

<xsl:template match="KERNEL">
<tr><td>Kernel</td><td><B><xsl:apply-templates /> </B></td></tr>
</xsl:template>

<xsl:template match="SERVICEPACK">
<tr><td>Service Pack</td><td><B><xsl:apply-templates /> </B></td></tr>
</xsl:template>

<xsl:template match="MODEL">
<tr><td >Model</td><td ><B><xsl:apply-templates /></B></td></tr>
</xsl:template>

<xsl:template match="CHASSIS">
<tr><td >Chassis</td><td ><B><xsl:apply-templates /></B></td></tr>
</xsl:template>

<xsl:template match="TYPE">
<tr><td>Type</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="INDEX">
</xsl:template>

<xsl:template match="CPU/SPEED">
<tr><td>Speed (MHz)</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="MEMORY/SPEED">
<tr><td>Speed (MHz)</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="NIC/SPEED">
<tr><td>Speed (Mbit/Sec)</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="SIZE">
<tr><td>Size (MBytes)</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="EMBEDDED">
<tr><td>Embedded</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="KSMACADDR">
</xsl:template>

<xsl:template match="ACCESS">
<tr><td>Access</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="MAC">
<tr><td>MAC Address</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="RAIDLEVEL">
<tr><td>RAID Level</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="CAPACITY">
<tr><td>Capacity</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="BOOTABLE">
<tr><td>Bootable</td><td><B><xsl:apply-templates/></B></td></tr>
</xsl:template>

<xsl:template match="TOOLS">
</xsl:template>

<xsl:template match="PARAMETER">
</xsl:template>

<xsl:template match="ACCEPTKSCONFIG">
</xsl:template>

<xsl:template match="KSCONFIGCODE">
</xsl:template>

<xsl:template match="PARAMETERS">
</xsl:template>

</xsl:stylesheet>


