#!/bin/sh
# -----------------------------------------------------------------------------
#
#          DELL INC. PROPRIETARY INFORMATION
#
# This software is supplied under the terms of a license agreement or
# nondisclosure agreement with Dell Inc. and may not be copied
# or disclosed except in accordance with the terms of that agreement.
#
# Copyright (c) 2004-present Dell Inc.. All Rights Reserved.
#
# Name:    uninstallRac.sh
# 
# Purpose: RAC software uninstallation
#
# Returns: 0 on success, 1 on error
# -----------------------------------------------------------------------------

OPTERR=0
prodType=
while getopts dt: OPTS 
do
	case $OPTS in
		d ) set -x ; dbug=1 ;;
		t ) prodType=`echo $OPTARG|tr [a-z] [A-Z]` ;;
		* ) ;;
	esac
done

case $prodType in
		POP3 )	{
					prodOMidx=51
					prodOMnam="rac3populator"
					prodList="RACOMComponents"
					}	;;
		POP4 )	{
					prodOMidx=50
					prodOMnam="rac4populator"
					prodList="RACOMComponents"
					}	;;
		RAC3 )	{
					prodOMidx=36
					prodOMnam="rac_mn"
					prodList="racser racser-devel racfirmware racvnc"
					rpm -q racser-src >/dev/nul 2>&1
					if [ $? -eq 0 ]; then
						rpm -q racser >/dev/nul 2>&1
						if [ $? -eq 0 ]; then
							rpm -e --nodeps racser-src >/dev/nul 2>&1
						else
							prodList="racser-src racser-devel racfirmware racvnc"
						fi
					fi
					}	;;
		RAC4 )	{
					prodOMidx=48
					prodOMnam="rac4"
					prodList="racsvc racadm"
					}	;;
		* )		{
					exit 1
					}	;;
esac

if [ -x /usr/sbin/installRac2OMDB ]; then
	# remove the RAC info from the OMDB
	omaName=`/usr/sbin/installRac2OMDB -ac -I $prodOMidx`	
	[ ".$omaName" = ".$prodOMnam" ] &&	/usr/sbin/installRac2OMDB -ad -I $prodOMidx
fi

rpm -e $prodList >/dev/nul 2>&1

srcs=`ls /usr/src/redhat/SRPMS/rac*.src.rpm 2>/dev/nul`
[ -n "$srcs" ] && rm -f $srcs >/dev/nul 2>&1

exit 0
