<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="OMAUserRights">
		<xsl:text disable-output-escaping="yes">	&lt;xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"></xsl:text>
			<xsl:element name="xsl:template">
				<xsl:attribute name="match">EventLog</xsl:attribute>
				<DataArea onLoad="true">
					<script language="javascript">
						function clearLog()
						{
							document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.ClearAlertLogWebPlugin';
							document.dataarea.submit();
						}
						function initializationRoutine()
						{
							document.getElementById("prompttext").innerHTML= "<xsl:value-of select="$strAlertLogContains"/>";
						}
						function saveLog()
						{
							document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SaveLogWebPlugin';
							
					// DFCT93265, Clicking on the "Save As" button second time and performing either save or cancel, resulted an Abend on all flavous of Netware.
                                	// The following single line has been added for fixing the problem.
				
					document.getElementById("pageCode").value = "";

							document.getElementById("pageCode").value = document.getElementsByTagName("HTML")[0].innerHTML;
							document.dataarea.submit();
						}
					</script>
					<Header><xsl:value-of select="$strPageHeader"/></Header>
					<PageTitle>
						<xsl:attribute name="display"><xsl:value-of select="$strAlertLog"/></xsl:attribute>
					</PageTitle>
					<PromptText><xsl:value-of select="$strAlertLogContains1"/></PromptText>
						<CustomButton>
							<xsl:if test="number(.) > 1">
								<Data name="Clear"><xsl:attribute name="display"><xsl:value-of select="$strClearLog"/></xsl:attribute>
									<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
									<xsl:attribute name="formSubmit">true</xsl:attribute>
								</Data>
								<Data name="Save"><xsl:attribute name="display"><xsl:value-of select="$strSaveAs"/></xsl:attribute>
									<xsl:attribute name="href">javascript:saveLog()</xsl:attribute>
									<xsl:attribute name="formSubmit">true</xsl:attribute>
								</Data>
							</xsl:if>
							<Data name="Refresh"><xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
								<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin</xsl:attribute>
							</Data>
						</CustomButton>
					<TableData>
						<Header>
							<Data name="Severity" align="center" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogSevWebPlugin">
								<xsl:attribute name="value"><xsl:value-of select="$strSeverity"/></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="$strSeverity1"/></xsl:attribute>
							</Data>
							<Data name="Description">
								<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
								<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
							</Data>
							<Data name="ID" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogIDWebPlugin">
								<xsl:attribute name="value"><xsl:value-of select="$strID"/></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="$strID1"/></xsl:attribute>
							</Data>
							<Data name="Description">
								<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
								<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
							</Data>
							<Data name="DateTime" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin">
								<xsl:attribute name="value"><xsl:value-of select="$strDateAmpTime"/></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="$strDateAmpTime1"/></xsl:attribute>
							</Data>
							<Data name="Description">
								<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
								<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
							</Data>
							<Data name="Description" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogDescWebPlugin">
								<xsl:attribute name="value"><xsl:value-of select="$strDescription"/></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="$strDescription1"/></xsl:attribute>
							</Data>
							<Data name="Description">
								<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
								<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
							</Data>
						</Header>
						<xsl:element name="xsl:apply-templates">
							<xsl:attribute name="select">LogEntry</xsl:attribute>
							<xsl:element name="xsl:sort">
								<xsl:attribute name="select">TimeStamp</xsl:attribute>
								<xsl:attribute name="data-type">number</xsl:attribute>
								<xsl:attribute name="order">descending</xsl:attribute>
							</xsl:element>
							<xsl:element name="xsl:sort">
								<xsl:attribute name="select">ID</xsl:attribute>
								<xsl:attribute name="data-type">number</xsl:attribute>
								<xsl:attribute name="order">descending</xsl:attribute>
							</xsl:element>
						</xsl:element>
					</TableData>
				</DataArea>
			</xsl:element>
			<xsl:element name="xsl:template"><xsl:attribute name="match">LogEntry</xsl:attribute>
				<Row>
					<Data name="severity" type="status" align="center">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:call-template"><xsl:attribute name="name">alert-status2omsa</xsl:attribute>
								<xsl:element name="xsl:with-param"><xsl:attribute name="name">Status</xsl:attribute>
									<xsl:element name="xsl:value-of"><xsl:attribute name="select">Type</xsl:attribute></xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description">
						<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
						<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
					</Data>
					<Data name="ID">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">display</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">ID</xsl:attribute></xsl:element>
						</xsl:element>
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">ID</xsl:attribute></xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description">
						<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
						<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
					</Data>
					<Data name="DateTime">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">display</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">TimeStamp</xsl:attribute></xsl:element>
						</xsl:element>
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">DateTime</xsl:attribute></xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description">
						<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
						<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
					</Data>
					<Data name="Description">
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">display</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">Description</xsl:attribute></xsl:element>
						</xsl:element>
						<xsl:element name="xsl:attribute">
							<xsl:attribute name="name">value</xsl:attribute>
							<xsl:element name="xsl:value-of"><xsl:attribute name="select">Description</xsl:attribute></xsl:element>
						</xsl:element>
					</Data>
					<Data name="Description">
						<xsl:attribute name="value"><xsl:text> </xsl:text></xsl:attribute>
						<xsl:attribute name="display"><xsl:text> </xsl:text></xsl:attribute>
					</Data>
				</Row>
			</xsl:element>

			<xsl:element name="xsl:template"><xsl:attribute name="name">alert-status2omsa</xsl:attribute>
				<xsl:element name="xsl:param"><xsl:attribute name="name"/>Status</xsl:element>
				<xsl:element name="xsl:choose">
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=0</xsl:attribute>0</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=1</xsl:attribute>5</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=2</xsl:attribute>3</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=4</xsl:attribute>2</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=8</xsl:attribute>2</xsl:element>
					<xsl:element name="xsl:when"><xsl:attribute name="test">$Status=16</xsl:attribute>5</xsl:element>
					<xsl:element name="xsl:otherwise">0</xsl:element>
				</xsl:element>
			</xsl:element>
		<xsl:text disable-output-escaping="yes">
			&lt;/xsl:stylesheet>
		</xsl:text>
	</xsl:template>
</xsl:stylesheet>
