<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA" priority="1">
		<xsl:choose>
			<xsl:when test="SMStatus = 0">
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display"><xsl:value-of select="$strFirmwareInformation"/></xsl:attribute>
					</PageTitle>
					<xsl:call-template name="FirmwareList"/>
				</DataArea>
			</xsl:when>
			<xsl:otherwise>
				<DataArea>
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FirmwareList" priority="2">
		<TableData>
			<Header>
				<Data name="Name" editable="false" type="ustring">
					<xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strName1"/></xsl:attribute>
				</Data>
				<Data name="Version" editable="false" type="ustring">
					<xsl:attribute name="display"><xsl:value-of select="$strVersion"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strVersion1"/></xsl:attribute>
				</Data>
				<!--Data name="Status" display="Status" value="" editable="false" type="ustring"/-->
			</Header>
			<xsl:for-each select="FirmwareList/Firmware">
				<Row>
                    <Data><xsl:attribute name="value"><xsl:value-of select="FWText" /></xsl:attribute></Data>
                    <Data><xsl:attribute name="value"><xsl:value-of select="FWVersion" /></xsl:attribute></Data>
				</Row>
			</xsl:for-each>
		</TableData>
		<CustomButton>
			<Data name="Refresh" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.FWViewWebPlugin&amp;help=Firmware">
				<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
			</Data>
		</CustomButton>
	</xsl:template>
	<xsl:template match="*/OMAUserRights"/>
		<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><xsl:value-of select="$strErrorCommandUnsuccessful"/></xsl:when>
			<xsl:when test="$status = '0'"><xsl:value-of select="$strErrorCommandSuccessful"/></xsl:when>
			<xsl:when test="$status = '1'"><xsl:value-of select="$strErrorCommandNot"/></xsl:when>
			<xsl:when test="$status = '2'"><xsl:value-of select="$strErrorBadCommand"/></xsl:when>
			<xsl:when test="$status = '3'"><xsl:value-of select="$strErrorCommandTimeout"/></xsl:when>
			<xsl:when test="$status = '4'"><xsl:value-of select="$strErrorCommandCancelled"/></xsl:when>
			<xsl:when test="$status = '5'"><xsl:value-of select="$strErrorCommandAborted"/></xsl:when>
			<xsl:when test="$status = '6'"><xsl:value-of select="$strErrorCommandPending"/></xsl:when>
			<xsl:when test="$status = '7'"><xsl:value-of select="$strErrorNoSuch"/></xsl:when>
			<xsl:when test="$status = '8'"><xsl:value-of select="$strErrorDeviceBusy"/></xsl:when>
			<xsl:when test="$status = '9'"><xsl:value-of select="$strErrorBadDevice"/></xsl:when>
			<xsl:when test="$status = '10'"><xsl:value-of select="$strErrorSpuriousInterrupt"/></xsl:when>
			<xsl:when test="$status = '11'"><xsl:value-of select="$strErrorResourceLocked"/></xsl:when>
			<xsl:when test="$status = '12'"><xsl:value-of select="$strErrorInvalidIndex"/></xsl:when>
			<xsl:when test="$status = '13'"><xsl:value-of select="$strErrorSMBError"/></xsl:when>
			<xsl:when test="$status = '14'"><xsl:value-of select="$strErrorDataRequested"/></xsl:when>
			<xsl:when test="$status = '15'"><xsl:value-of select="$strErrorDataRequested1"/></xsl:when>
			<xsl:when test="$status = '16'"><xsl:value-of select="$strErrorDataRequested2"/></xsl:when>
			<xsl:when test="$status = '17'"><xsl:value-of select="$strErrorDeviceNot"/></xsl:when>
			<xsl:when test="$status = '18'"><xsl:value-of select="$strErrorDeviceDoes"/></xsl:when>
			<xsl:when test="$status = '19'"><xsl:value-of select="$strErrorDeviceOut"/></xsl:when>
			<xsl:when test="$status = '20'"><xsl:value-of select="$strErrorDeviceAlready"/></xsl:when>
			<xsl:when test="$status = '256'"><xsl:value-of select="$strErrorNoFirmware"/></xsl:when>
			<xsl:when test="$status = '257'"><xsl:value-of select="$strErrorFirmwareObject"/></xsl:when>
			<xsl:when test="$status = '258'"><xsl:value-of select="$strErrorFirmwareObject1"/></xsl:when>
			<xsl:when test="$status = '260'"><xsl:value-of select="$strErrorINIFile"/></xsl:when>
			<xsl:when test="$status = '261'"><xsl:value-of select="$strErrorINIMalformed"/></xsl:when>
			<xsl:when test="$status = '262'"><xsl:value-of select="$strErrorINISection"/></xsl:when>
			<xsl:when test="$status = '263'"><xsl:value-of select="$strErrorINIKey"/></xsl:when>
			<xsl:when test="$status = '264'"><xsl:value-of select="$strErrorINIValue"/></xsl:when>
			<xsl:when test="$status = '270'"><xsl:value-of select="$strErrorInsufficientAccess"/></xsl:when>
			<xsl:when test="$status = '271'"><xsl:value-of select="$strErrorInvalidParameter"/></xsl:when>
			<xsl:when test="$status = '272'"><xsl:value-of select="$strErrorOutOf"/></xsl:when>
			<xsl:when test="$status = '280'"><xsl:value-of select="$strErrorXMLFile"/></xsl:when>
			<xsl:when test="$status = '281'"><xsl:value-of select="$strErrorXMLMalformed"/></xsl:when>
			<xsl:when test="$status = '282'"><xsl:value-of select="$strErrorXMLNode"/></xsl:when>
			<xsl:when test="$status = '283'"><xsl:value-of select="$strErrorXMLValue"/></xsl:when>
			<xsl:otherwise>SMStatus: <xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
