<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:choose>
			<xsl:when test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<xsl:apply-templates select="LRAResponse"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<DataArea validate="true" onLoad="true" exportdata="false"><xsl:attribute name="backpagedisplay"><xsl:value-of select="$strAlertActions"/></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetLRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/></xsl:attribute>
			<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;help=ListLRA&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
			<script language="javascript">
				function initializationRoutine()
				{
				}
				function validate()
				{
					if(document.getElementById("ExecApp").checked == true)
					{
						var EPFval = document.getElementById("EPFName").value;

						if(EPFval == "" || EPFval == null)
						{
							alert("<xsl:value-of select="$strEnterAbsolutePath"/>");
							document.getElementById("EPFName").focus();
							return false;
						}

						if(document.getElementById("EPFName").value.length > 255)
						{
							alert("<xsl:value-of select="$strAbsolutePathTo"/>");
							document.getElementById("EPFName").focus();
							return false;
						}
					}
					return true;
				}
				function clearAll()
				{
					document.getElementById("EPFName").value = "";
					document.getElementById("BeepSpkr").checked = false;
					document.getElementById("ConsAlert").checked = false; 
					document.getElementById("BcastMssg").checked = false;
					document.getElementById("ExecApp").checked = false;
				}
				function setDefault()
				{
					document.getElementById("BeepSpkr").checked = true;
					document.getElementById("ConsAlert").checked = true;
					document.getElementById("BcastMssg").checked = true;
					//[pp] 02/28/2003 : DFCT77805 : clearing Exec App and App Name for 'Set to Default' option
					document.getElementById("ExecApp").checked = false;
					document.getElementById("EPFName").value='';
				}
				function checkExecApp()
				{
					document.getElementById("ExecApp").checked = true;
				}
			</script>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strSetAlertActions"/>
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</PageTitle>
			<PromptText><xsl:value-of select="$strCheckTheAction"/></PromptText>
			<CustomButton>
				<Data name="ClearAll">
					<xsl:attribute name="display"><xsl:value-of select="$strClearAll"/></xsl:attribute>
					<xsl:attribute name="href">javascript:clearAll();</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BeepSpkr</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strBeepSpeakerOn"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strBeepSpeakerOn1"/></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BeepSpkr='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data><xsl:attribute name="value"><xsl:value-of select="$str"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str1"/></xsl:attribute></Data>
					<Data><xsl:attribute name="value"><xsl:value-of select="$str2"/></xsl:attribute><xsl:attribute name="display"><xsl:value-of select="$str3"/></xsl:attribute></Data>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ConsAlert</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strDisplayAnAlert"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strDisplayAnAlert1"/></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ConsAlert='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="name">type</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/Type"/></xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
					</xsl:element>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">BcastMssg</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strBroadcastAMessage"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strBroadcastAMessage1"/></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="BcastMssg='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$str4"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$str5"/></xsl:attribute>
					</Data>
					<Data>
						<xsl:attribute name="value"><xsl:value-of select="$str6"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$str7"/></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<xsl:element name="Data">
						<xsl:attribute name="name">ExecApp</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strExecuteAnApplication"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strExecuteApplication"/></xsl:attribute>
						<xsl:attribute name="returnvalue">true</xsl:attribute>
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:if test="ExecApp='true'">
							<xsl:attribute name="state">1</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="value"><xsl:value-of select="$strAbsolutePathTo1"/></xsl:attribute>
						<xsl:attribute name="align">right</xsl:attribute>
					</xsl:element>
					<xsl:element name="Data">
						<xsl:attribute name="event">onFocus</xsl:attribute>
						<xsl:attribute name="handler">checkExecApp();</xsl:attribute>
						<xsl:attribute name="name">EPFName</xsl:attribute>
						<xsl:attribute name="display"></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="type">editbox</xsl:attribute>
						<xsl:attribute name="maxlength">255</xsl:attribute>
						<xsl:attribute name="align">left</xsl:attribute>
					</xsl:element>
				</Row>
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><xsl:value-of select="$strPowerSupplyCritical"/></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><xsl:value-of select="$strTemperatureProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><xsl:value-of select="$strTemperatureProbeFailure"/></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><xsl:value-of select="$strFanProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><xsl:value-of select="$strFanProbeFailure"/></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><xsl:value-of select="$strVoltageProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><xsl:value-of select="$strVoltageProbeFailure"/></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><xsl:value-of select="$strCurrentProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><xsl:value-of select="$strCurrentProbeFailure"/></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><xsl:value-of select="$strChassisIntrusion"/></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><xsl:value-of select="$strRedundancyDegraded"/></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><xsl:value-of select="$strRedundancyLost"/></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><xsl:value-of select="$strMemoryPrefailure"/></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><xsl:value-of select="$strMemoryFailure"/></xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
