<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="OMA">
		<xsl:apply-templates select="LRAList"/>
	</xsl:template>
	<xsl:template match="LRAList">
		<DataArea exportdata="false">
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strAlertActions"/></xsl:attribute>
			</PageTitle>
			<Header>Header</Header>
			<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
				<PromptText><xsl:value-of select="$strClickTheEvent"/></PromptText>
			</xsl:if>
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.ListLRAWebPlugin&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				</Data>
			</CustomButton>
			<TableData columnspacing="true">
				<xsl:choose>
					<xsl:when test="/OMA/@cli = 'true'">
						<Header>
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strEvent"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strEvent1"/></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strBeepSpeaker"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strBeepSpeaker1"/></xsl:attribute>
							</Data>					
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strConsoleAlert"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strConsoleAlert1"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strBroadcastMessage"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strBroadcastMessage1"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strExecuteApplication"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strExecuteApplication1"/></xsl:attribute>
							</Data>
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strAbsolutePathTo"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strAbsolutePathTo1"/></xsl:attribute>
							</Data>
						</Header>
					</xsl:when>
					<xsl:otherwise>
						<Header>
							<Data name="Event">
								<xsl:attribute name="display"></xsl:attribute>
							</Data>
							<Data name="Action" colspan="7" underlined="true" align="center">
								<xsl:attribute name="display"><xsl:value-of select="$strCurrentlyActiveActions"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strCurrentlyActiveActions1"/></xsl:attribute>
							</Data>
						</Header>
						<Header>
							<Data name=" " width="300"><xsl:attribute name="value"><xsl:value-of select="$str"/></xsl:attribute>
								<xsl:attribute name="display"><xsl:value-of select="$strEvent2"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strEvent3"/></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><xsl:value-of select="$strBeepSpeaker2"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strBeepSpeaker3"/></xsl:attribute>
							</Data>					
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><xsl:value-of select="$strAlertOnConsole"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strAlertOnConsole1"/></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><xsl:value-of select="$strBroadcastMessage2"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strBroadcastMessage3"/></xsl:attribute>
							</Data>
							<Data name="" append="Action" align="center" width="100">
								<xsl:attribute name="display"><xsl:value-of select="$strExecuteApplication2"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strExecuteApplication3"/></xsl:attribute>
							</Data>
							<Data name="" ignoreonweb="true">
								<xsl:attribute name="display"><xsl:value-of select="$strAbsolutePathTo2"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strAbsolutePathTo3"/></xsl:attribute>
							</Data>
						</Header>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="LRAResponse"/>			
			</TableData>
		</DataArea>
	</xsl:template>
	<xsl:template match="LRAResponse">
		<Row>
			<xsl:element name="Data">
				<xsl:attribute name="display"><xsl:value-of select="@name"/></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:call-template name="Getname">
						<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="type">ustring</xsl:attribute>
				<xsl:if test="(/OMA/OMAUserRights = '7') or (/OMA/OMAUserRights = '3')">
					<xsl:attribute name="link">true</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.LRAWebPlugin&amp;oid=<xsl:value-of select="@oid"/>&amp;type=<xsl:value-of select="/OMA/Type"/>&amp;help=ListLRA</xsl:attribute>
				<xsl:attribute name="editable">false</xsl:attribute>
				<xsl:attribute name="align">left</xsl:attribute>
			</xsl:element>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BeepSpkr"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ConsAlert"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="BcastMssg"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data type="icon" align="center">
				<xsl:attribute name="value">
					<xsl:call-template name="getaction">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:call-template name="getactiontxt">
						<xsl:with-param name="status"><xsl:value-of select="ExecApp"/></xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
			</Data>
			<Data ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="ExecApp = 'true'">
						<xsl:attribute name="value"><xsl:value-of select="EPFName"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="EPFName"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="$strNotSelected"/></xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strNotSelected1"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
		</Row>
	</xsl:template>
	<xsl:template name="Getname">
		<xsl:param name="name"/>
		<xsl:choose>
			<xsl:when test="$name='LRA_PS_CRIT'"><xsl:value-of select="$strPowerSupplyCritical"/></xsl:when>
			<xsl:when test="$name='LRA_TEMP_NONCRIT'"><xsl:value-of select="$strTemperatureProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_TEMP_CRIT'"><xsl:value-of select="$strTemperatureProbeDetects"/></xsl:when>
			<xsl:when test="$name='LRA_FAN_NONCRIT'"><xsl:value-of select="$strFanProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_FAN_CRIT'"><xsl:value-of select="$strFanProbeDetects"/></xsl:when>
			<xsl:when test="$name='LRA_VOLT_NONCRIT'"><xsl:value-of select="$strVoltageProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_VOLT_CRIT'"><xsl:value-of select="$strVoltageProbeDetects"/></xsl:when>
			<xsl:when test="$name='LRA_CURR_NONCRIT'"><xsl:value-of select="$strCurrentProbeWarning"/></xsl:when>
			<xsl:when test="$name='LRA_CURR_CRIT'"><xsl:value-of select="$strCurrentProbeDetects"/></xsl:when>
			<xsl:when test="$name='LRA_INTRUSION_CRIT'"><xsl:value-of select="$strChassisIntrusionDetected"/></xsl:when>
			<xsl:when test="$name='LRA_REDUN_DEGRAD'"><xsl:value-of select="$strRedundancyDegraded"/></xsl:when>
			<xsl:when test="$name='LRA_REDUN_LOST'"><xsl:value-of select="$strRedundancyLost"/></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_NONCRIT'"><xsl:value-of select="$strMemoryPrefailure"/></xsl:when>
			<xsl:when test="$name='LRA_MEMDEV_CRIT'"><xsl:value-of select="$strMemoryFailure"/></xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getaction">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif-->/oma/images/check.gif</xsl:if>
		<xsl:if test="$status='false'">/oma/images/blank.gif</xsl:if>
	</xsl:template>
	<xsl:template name="getactiontxt">
		<xsl:param name="status"/>
		<xsl:if test="$status='true'"><!--/oma/images/bullet.gif--><xsl:value-of select="$strSelected"/></xsl:if>
		<xsl:if test="$status='false'"><xsl:value-of select="$strNotSelected2"/></xsl:if>
	</xsl:template>
</xsl:stylesheet>
