<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<xsl:choose>
			<xsl:when test="SMStatus='0'">
				<xsl:choose>
					<xsl:when test="@cli = 'true'">
						<DataArea exportdata="false">
							<xsl:apply-templates select="ChassisInfo/ChassisProps2"/>
						</DataArea>
					</xsl:when>
					<xsl:otherwise>
						<DataArea exportdata="false">
							<xsl:if test="(/OMA/OMAUserRights = '7')">
								<xsl:if test="/OMA/ChassisInfo/ChassisProps2/PowerButtonControl != '0'">
									<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.SetPwrButtonWebPlugin</xsl:attribute>
								</xsl:if>
							</xsl:if>
							<PageTitle>
								<xsl:attribute name="display"><xsl:value-of select="$strPowerButtonControl"/></xsl:attribute>
							</PageTitle>
							<CustomButton>
								<Data>
									<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
									<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.PwrButtonWebPlugin&amp;poid=<xsl:value-of select="/OMA/Chassis/@oid"/>&amp;help=pwrbutton&amp;app=hip&amp;ct=MainChassis&amp;snb=Properties&amp;lsnb=PowerButton</xsl:attribute>
								</Data>
							</CustomButton>
							<xsl:apply-templates select="ChassisInfo/ChassisProps2"/>
						</DataArea>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<DataArea  exportdata="false">
					<PageTitle>
						<xsl:attribute name="display">
							<xsl:call-template name="smstatus">
								<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</PageTitle>
				</DataArea>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="ChassisProps2">
		<xsl:choose>
			<xsl:when test="/OMA/@cli = 'true'">
				<xsl:choose>
					<xsl:when test="PowerButtonControl='1'">
						<PageTitle>
							<xsl:attribute name="display"><xsl:value-of select="$strPowerButtonControl1"/></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strPowerButton"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strEnabled"/></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:when test="PowerButtonControl='2'">
						<PageTitle>
							<xsl:attribute name="display"><xsl:value-of select="$strPowerButtonControl2"/></xsl:attribute>
						</PageTitle>
						<ListData>
							<Data>
								<xsl:attribute name="display"><xsl:value-of select="$strPowerButton1"/></xsl:attribute>
								<xsl:attribute name="value"><xsl:value-of select="$strDisabled"/></xsl:attribute>
							</Data>
						</ListData>
					</xsl:when>
					<xsl:otherwise>
						<PageTitle>
							<xsl:attribute name="display"><xsl:value-of select="$strErrorNoPower"/></xsl:attribute>
						</PageTitle>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="(/OMA/OMAUserRights = '7')">
						<TableData>
							<Row>
								<Data name="oid" type="hidden">
									<xsl:attribute name="returnvalue"><xsl:value-of select="@oid"/></xsl:attribute>
								</Data>
								<xsl:choose>
									<xsl:when test="PowerButtonControl='1'">
										<Data name="PowerButtonControl" returnvalue="1" type="radio" state="1">
											<xsl:attribute name="value"><xsl:value-of select="$strEnabled1"/></xsl:attribute>
										</Data>
										<Data name="PowerButtonControl" returnvalue="2" type="radio">
											<xsl:attribute name="value"><xsl:value-of select="$strDisabled1"/></xsl:attribute>
										</Data>
									</xsl:when>
									<xsl:when test="PowerButtonControl='2'">
										<Data name="PowerButtonControl" returnvalue="1" type="radio">
											<xsl:attribute name="value"><xsl:value-of select="$strEnabled2"/></xsl:attribute>
										</Data>
										<Data name="PowerButtonControl" returnvalue="2" type="radio" state="1">
											<xsl:attribute name="value"><xsl:value-of select="$strDisabled2"/></xsl:attribute>
										</Data>
									</xsl:when>
									<xsl:otherwise>
										<Data name="pwrbtn">
											<xsl:attribute name="value"><xsl:value-of select="$strNotApplicable"/></xsl:attribute>
										</Data>
									</xsl:otherwise>
								</xsl:choose>
							</Row>
						</TableData>
					</xsl:when>
					<xsl:otherwise>
						<ListData type="custom">
							<Data  width="250">
								<xsl:attribute name="display"><xsl:value-of select="$strPowerButton2"/></xsl:attribute>
								<xsl:choose>
									<xsl:when test="PowerButtonControl='1'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnabled3"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="PowerButtonControl='2'">
										<xsl:attribute name="value"><xsl:value-of select="$strDisabled3"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><xsl:value-of select="$strNotApplicable1"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</Data>
						</ListData>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><xsl:value-of select="$strErrorCommandUnsuccessful"/></xsl:when>
			<xsl:when test="$status = '0'"><xsl:value-of select="$strErrorCommandSuccessful"/></xsl:when>
			<xsl:when test="$status = '1'"><xsl:value-of select="$strErrorCommandNot"/></xsl:when>
			<xsl:when test="$status = '2'"><xsl:value-of select="$strErrorBadCommand"/></xsl:when>
			<xsl:when test="$status = '3'"><xsl:value-of select="$strErrorCommandTimeout"/></xsl:when>
			<xsl:when test="$status = '4'"><xsl:value-of select="$strErrorCommandCancelled"/></xsl:when>
			<xsl:when test="$status = '5'"><xsl:value-of select="$strErrorCommandAborted"/></xsl:when>
			<xsl:when test="$status = '6'"><xsl:value-of select="$strErrorCommandPending"/></xsl:when>
			<xsl:when test="$status = '7'"><xsl:value-of select="$strErrorNoSuch"/></xsl:when>
			<xsl:when test="$status = '8'"><xsl:value-of select="$strErrorDeviceBusy"/></xsl:when>
			<xsl:when test="$status = '9'"><xsl:value-of select="$strErrorBadDevice"/></xsl:when>
			<xsl:when test="$status = '10'"><xsl:value-of select="$strErrorSpuriousInterrupt"/></xsl:when>
			<xsl:when test="$status = '11'"><xsl:value-of select="$strErrorResourceLocked"/></xsl:when>
			<xsl:when test="$status = '12'"><xsl:value-of select="$strErrorInvalidIndex"/></xsl:when>
			<xsl:when test="$status = '13'"><xsl:value-of select="$strErrorSMBError"/></xsl:when>
			<xsl:when test="$status = '14'"><xsl:value-of select="$strErrorDataRequested"/></xsl:when>
			<xsl:when test="$status = '15'"><xsl:value-of select="$strErrorDataRequested1"/></xsl:when>
			<xsl:when test="$status = '16'"><xsl:value-of select="$strErrorDataRequested2"/></xsl:when>
			<xsl:when test="$status = '17'"><xsl:value-of select="$strErrorDeviceNot"/></xsl:when>
			<xsl:when test="$status = '18'"><xsl:value-of select="$strErrorDeviceDoes"/></xsl:when>
			<xsl:when test="$status = '19'"><xsl:value-of select="$strErrorDeviceOut"/></xsl:when>
			<xsl:when test="$status = '20'"><xsl:value-of select="$strErrorDeviceAlready"/></xsl:when>
			<xsl:when test="$status = '256'"><xsl:value-of select="$strErrorNoPower1"/></xsl:when>
			<xsl:when test="$status = '257'"><xsl:value-of select="$strErrorPowerButton"/></xsl:when>
			<xsl:when test="$status = '258'"><xsl:value-of select="$strErrorPowerButton1"/></xsl:when>
			<xsl:when test="$status = '260'"><xsl:value-of select="$strErrorINIFile"/></xsl:when>
			<xsl:when test="$status = '261'"><xsl:value-of select="$strErrorINIMalformed"/></xsl:when>
			<xsl:when test="$status = '262'"><xsl:value-of select="$strErrorINISection"/></xsl:when>
			<xsl:when test="$status = '263'"><xsl:value-of select="$strErrorINIKey"/></xsl:when>
			<xsl:when test="$status = '264'"><xsl:value-of select="$strErrorINIValue"/></xsl:when>
			<xsl:when test="$status = '270'"><xsl:value-of select="$strErrorInsufficientAccess"/></xsl:when>
			<xsl:when test="$status = '271'"><xsl:value-of select="$strErrorInvalidParameter"/></xsl:when>
			<xsl:when test="$status = '272'"><xsl:value-of select="$strErrorOutOf"/></xsl:when>
			<xsl:when test="$status = '280'"><xsl:value-of select="$strErrorXMLFile"/></xsl:when>
			<xsl:when test="$status = '281'"><xsl:value-of select="$strErrorXMLMalformed"/></xsl:when>
			<xsl:when test="$status = '282'"><xsl:value-of select="$strErrorXMLNode"/></xsl:when>
			<xsl:when test="$status = '283'"><xsl:value-of select="$strErrorXMLValue"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$strSMStatus"/><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
