<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:output method="xml" indent="no"/>
<xsl:template match="/OMA">
<xsl:choose>
	<xsl:when test="SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
	<xsl:otherwise><xsl:call-template name="failure"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="failure">
	<DataArea exportdata="false">
		<xsl:attribute name="backpagedisplay"><xsl:value-of select="$strBIOSSetup"/></xsl:attribute>
		<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
		<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strBIOSSetup1"/></xsl:attribute>
		</PageTitle>
		<TableData>
			<Header>
				<Data name="">
					<xsl:attribute name="display"><xsl:value-of select="$strError"/></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$strError1"/></xsl:attribute>
				</Data>
			</Header>
			<Row>
				<Data name="" ><xsl:attribute name="display"><xsl:value-of select="$str"/></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:call-template name="smstatus">
							<xsl:with-param name="status"><xsl:value-of select="SMStatus"/></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</Data>
			</Row>
		</TableData>
	</DataArea>
</xsl:template>

<xsl:template name="success">
<DataArea  onLoad="true" validate="true" exportdata="false">
	<xsl:attribute name="backpagedisplay"><xsl:value-of select="$strBIOSSetup2"/></xsl:attribute>
	<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=com.dell.hip.webplugins.biossetupWebPlugin&amp;help=BiosSetup</xsl:attribute>
	<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.setbiosobjWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/></xsl:attribute>

	<xsl:if test="ShutDownFlag='true'">
		<script language="javascript">
			function restart()
			{
				if (confirm("<xsl:value-of select="$strAreYouDone"/>")){
					document.getElementById("dataarea").action='/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8&amp;action1=1';
					document.getElementById("dataarea").submit();
				}
				else{
					document.getElementById("dataarea").action='/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/>&amp;help=BiosSetup';
					document.getElementById("dataarea").submit();
				}
			}
		</script>
	</xsl:if>

	<script language="javascript">
		var actionSelected;
		var actionlen;
		function initializationRoutine(){
			var objname = '<xsl:value-of select="BIOSSetup/ObjName"/>';
			actionselvar = document.getElementsByName("actionsel");
                        actionlen = actionselvar.length;
			for (i = 0 ; i &lt; actionlen ; i++){
				if(actionselvar[i].checked == true){
					actionSelected = objname + "." + actionselvar[i].value;
				}
			}
		}

		function validate(){
			var f_objname = '<xsl:value-of select="BIOSSetup/ObjName"/>';
			var f_actionSelected;
			actionselvar = document.getElementsByName("actionsel");

			for (i = 0 ; i &lt; actionlen ; i++){
                                if(actionselvar[i].checked == true) {
					f_actionSelected = f_objname + "." + actionselvar[i].value;
				}
			}
			if (actionSelected != f_actionSelected) {
				document.getElementById("reboot").value = "true";
			}

			<xsl:if test="BIOSSetup/ObjName='OnBoard RAID'">
				if (confirm("<xsl:value-of select="$strChangingThisSetting"/>")){
					return true;
				}
				else
					return false;
			</xsl:if>
			return true;
		}
	</script>

	<PageTitle>
		<xsl:attribute name="display"><xsl:value-of select="BIOSSetup/ObjName"/></xsl:attribute>
	</PageTitle>
	<xsl:choose>
		<xsl:when test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
			<PromptText status="3"><xsl:value-of select="$strSelectOneOf"/></PromptText>
		</xsl:when>
		<xsl:when test="/OMA/BIOSSetup/ObjName='Boot Sequence'">
			<PromptText status="3"><xsl:value-of select="$strSelectOneOf2"/></PromptText>
		</xsl:when>
		<xsl:otherwise><PromptText><xsl:value-of select="$strSelectOneOf1"/></PromptText></xsl:otherwise>
	</xsl:choose>

	<CustomButton>
		<xsl:if test="ShutDownFlag='true'">
			<Data name="shtdwn">
				<xsl:attribute name="display"><xsl:value-of select="$strRebootSystem"/></xsl:attribute>
				<xsl:attribute name="href">javascript:restart()</xsl:attribute>
				<xsl:attribute name="formSubmit">true</xsl:attribute>
			</Data>
		</xsl:if>
		<Data name="Refresh">
			<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
			<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.biosobjinfoWebPlugin&amp;oid=<xsl:value-of select="BIOSSetup/@oid"/>&amp;help=BiosSetup</xsl:attribute>
		</Data>
	</CustomButton>
	<TableData>
		<Header>
			<Data>
				<xsl:attribute name="display"> <xsl:value-of select="$strSetup"/><xsl:value-of select="BIOSSetup/ObjName"/></xsl:attribute>
				<xsl:attribute name="value"> <xsl:value-of select="$strSetup1"/><xsl:value-of select="BIOSSetup/ObjName"/></xsl:attribute>
			</Data>
		</Header>
		<xsl:for-each select="BIOSSetup/Capabilities/*">
			<xsl:if test=".='true'">
				<Row>
					<Data type="radio">
						<xsl:attribute name="name">actionsel</xsl:attribute>
						<xsl:attribute name="returnvalue">
							<xsl:call-template name="objstatus">
								<xsl:with-param name="type"><xsl:value-of select="/OMA/BIOSSetup/@objtype"/></xsl:with-param>
								<xsl:with-param name="name"><xsl:value-of select="name()"/></xsl:with-param>
								<xsl:with-param name="objname"><xsl:value-of select="/OMA/BIOSSetup/ObjName"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
						<xsl:choose>
							<xsl:when test="/OMA/BIOSSetup/@objtype='240'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOn"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='241'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff1"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Auto'">
										<xsl:attribute name="value"><xsl:value-of select="$strAuto"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Rdonly'">
										<xsl:attribute name="value"><xsl:value-of select="$strWriteProtect"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='242'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strDisabled"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnabled"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='EnableNonePXE'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnabledWithoutPXE"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='243'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff2"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOn1"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='244'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strDisabled1"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnabled1"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='245'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff3"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Auto'">
										<xsl:attribute name="value"><xsl:value-of select="$strAuto"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='246'">
								<xsl:choose>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Secondary SCSI'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><xsl:value-of select="$strOff4"/></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Enable'">
												<xsl:attribute name="value"><xsl:value-of select="$strOn3"/></xsl:attribute>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Primary SCSI'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><xsl:value-of select="$strOff5"/></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Enable'">
												<xsl:attribute name="value"><xsl:value-of select="$strOn4"/></xsl:attribute>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<!-- [pp] 07/10/03 DFCT 86885 -->
									<xsl:when test="/OMA/BIOSSetup/ObjName='OnBoard RAID'">
										<xsl:choose>
											<xsl:when test="name()='Off'">
												<xsl:attribute name="value"><xsl:value-of select="$strOff5"/></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<!-- pp 07/02/2003 DFCT71386: displaying the Boot sequence option in proper english format after checking the options sent by the DA  -->
							<xsl:when test="/OMA/BIOSSetup/@objtype='247'">
								<xsl:choose>
									<xsl:when test="name()='DisketteFirst'">
										<xsl:attribute name="value"><xsl:value-of select="$strDisketteFirst"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='HDOnly'">
										<xsl:attribute name="value"><xsl:value-of select="$strHDOnly"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='DeviceList'">
										<xsl:attribute name="value"><xsl:value-of select="$strDeviceList"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='CDRomFirst'">
										<xsl:attribute name="value"><xsl:value-of select="$strCDRomFirst"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
											<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='249'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff6"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='251'">
								<xsl:choose>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Serial Port 1'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><xsl:value-of select="$strOff7"/></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Auto'">
												<xsl:attribute name="value"><xsl:value-of select="$strAuto"/></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:when test="/OMA/BIOSSetup/ObjName='Serial Port 2'">
										<xsl:choose>
											<xsl:when test="name()='Disable'">
												<xsl:attribute name="value"><xsl:value-of select="$strOff8"/></xsl:attribute>
											</xsl:when>
											<xsl:when test="name()='Auto'">
												<xsl:attribute name="value"><xsl:value-of select="$strAuto"/></xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='252'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff9"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strOn5"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='260'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strDisabled2"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnabled2"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='EnableWithBIOS'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnabledWithBIOS"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="/OMA/BIOSSetup/@objtype='262'">
								<xsl:choose>
									<xsl:when test="name()='Disable'">
										<xsl:attribute name="value"><xsl:value-of select="$strDisable"/></xsl:attribute>
									</xsl:when>
									<xsl:when test="name()='Enable'">
										<xsl:attribute name="value"><xsl:value-of select="$strEnable"/></xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</xsl:when>
							<!-- PP [07/18/2003] - DFCT 86885 -->
							<xsl:when test="/OMA/BIOSSetup/@objtype='263'">
								<xsl:choose>
									<xsl:when test="name()='Off'">
										<xsl:attribute name="value"><xsl:value-of select="$strOff6"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><xsl:value-of select="name()"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="state">
							<xsl:call-template name="objselect">
								<xsl:with-param name="state"><xsl:value-of select="/OMA/BIOSSetup/State"/></xsl:with-param>
								<xsl:with-param name="type"><xsl:value-of select="/OMA/BIOSSetup/@objtype"/></xsl:with-param>
								<xsl:with-param name="name"><xsl:value-of select="name()"/></xsl:with-param>
								<xsl:with-param name="objname"><xsl:value-of select="/OMA/BIOSSetup/ObjName"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
					</Data>
				</Row>
			</xsl:if>
		</xsl:for-each>
	</TableData>
	<ListData>
		<Data  display=" "  type="hidden" state="" align="left">
			<xsl:attribute name="name">reboot</xsl:attribute>
			<xsl:attribute name="returnvalue">false</xsl:attribute>
		</Data>
	</ListData>
</DataArea>
</xsl:template>

<xsl:template name="objselect">
	<xsl:param name="type"/>
	<xsl:param name="state"/>
	<xsl:param name="name"/>
	<xsl:param name="objname"/>
	<xsl:choose>
		<xsl:when test="$type='241'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Rdonly'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='242'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableNonePXE'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='245'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='246'">
			<xsl:if test="$objname='OnBoard RAID'">
				<xsl:if test="$name='RAID'">
					<xsl:if test="$state='0'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Off'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='SCSI'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Primary SCSI'">
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='0'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Enable'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Secondary SCSI'">
				<xsl:if test="$name='Disable'">
					<xsl:if test="$state='1'">1</xsl:if>
				</xsl:if>
				<xsl:if test="$name='Enable'">
					<xsl:if test="$state='2'">1</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:when>
		<xsl:when test="$type='247'">
			<xsl:if test="$name='DisketteFirst'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='HDOnly'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='DeviceList'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='CDRomFirst'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='249'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT1'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT2'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='LPT3'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='250'">
			<xsl:if test="$name='AT'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='PS2'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='ECP'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EPP'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='251'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Auto'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com1'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com2'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com3'">
				<xsl:if test="$state='5'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Com4'">
				<xsl:if test="$state='6'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='252'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Low'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Medium'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='High'">
				<xsl:if test="$state='5'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='253'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableAddInCard'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableOnBoard'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableAll'">
				<xsl:if test="$state='4'">1</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='260'">
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='EnableWithBIOS'">
				<xsl:if test="$state='3'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='263'">
			<xsl:if test="$name='Off'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='SCSI'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='RAID'">
				<xsl:if test="$state='3'">1</xsl:if>			
			</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='264'">
			<xsl:if test="$name='SCSI'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='RAID'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
		</xsl:when>
		
		<xsl:otherwise>
			<xsl:if test="$name='Disable'">
				<xsl:if test="$state='1'">1</xsl:if>
			</xsl:if>
			<xsl:if test="$name='Enable'">
				<xsl:if test="$state='2'">1</xsl:if>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="objstatus">
	<xsl:param name="type"/>
	<xsl:param name="name"/>
	<xsl:param name="objname"/>
	<xsl:choose>
		<xsl:when test="$type='241'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
			<xsl:if test="$name='Rdonly'">3</xsl:if>
		</xsl:when>

		<xsl:when test="$type='242'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='EnableNonePXE'">3</xsl:if>
		</xsl:when>

		<xsl:when test="$type='245'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
		</xsl:when>

		<xsl:when test="$type='246'">
			<xsl:if test="$objname='OnBoard RAID'">
				<xsl:if test="$name='RAID'">0</xsl:if>
				<xsl:if test="$name='Off'">1</xsl:if>
				<xsl:if test="$name='SCSI'">2</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Primary SCSI'">
				<xsl:if test="$name='Disable'">1</xsl:if>
				<xsl:if test="$name='Enable'">2</xsl:if>
			</xsl:if>
			<xsl:if test="$objname='Secondary SCSI'">
				<xsl:if test="$name='Disable'">1</xsl:if>
				<xsl:if test="$name='Enable'">2</xsl:if>
			</xsl:if>
		</xsl:when>

		<xsl:when test="$type='247'">
			<xsl:if test="$name='DisketteFirst'">1</xsl:if>
			<xsl:if test="$name='HDOnly'">2</xsl:if>
			<xsl:if test="$name='DeviceList'">3</xsl:if>
			<xsl:if test="$name='CDRomFirst'">4</xsl:if>
		</xsl:when>

		<xsl:when test="$type='249'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='LPT1'">2</xsl:if>
			<xsl:if test="$name='LPT2'">3</xsl:if>
			<xsl:if test="$name='LPT3'">4</xsl:if>
		</xsl:when>

		<xsl:when test="$type='250'">
			<xsl:if test="$name='AT'">1</xsl:if>
			<xsl:if test="$name='PS2'">2</xsl:if>
			<xsl:if test="$name='ECP'">3</xsl:if>
			<xsl:if test="$name='EPP'">4</xsl:if>
		</xsl:when>

		<xsl:when test="$type='251'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Auto'">2</xsl:if>
			<xsl:if test="$name='Com1'">3</xsl:if>
			<xsl:if test="$name='Com2'">4</xsl:if>
			<xsl:if test="$name='Com3'">5</xsl:if>
			<xsl:if test="$name='Com4'">6</xsl:if>
		</xsl:when>

		<xsl:when test="$type='252'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='Low'">3</xsl:if>
			<xsl:if test="$name='Medium'">4</xsl:if>
			<xsl:if test="$name='High'">5</xsl:if>
		</xsl:when>

		<xsl:when test="$type='253'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='EnableAddInCard'">2</xsl:if>
			<xsl:if test="$name='EnableOnBoard'">3</xsl:if>
			<xsl:if test="$name='EnableAll'">4</xsl:if>
		</xsl:when>

		<xsl:when test="$type='260'">
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
			<xsl:if test="$name='EnableWithBIOS'">3</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='263' ">
			<xsl:if test="$name='Off'">1</xsl:if>
			<xsl:if test="$name='SCSI'">2</xsl:if>
			<xsl:if test="$name='RAID'">3</xsl:if>
		</xsl:when>
		
		<xsl:when test="$type='264'">
			<xsl:if test="$name='SCSI'">1</xsl:if>
			<xsl:if test="$name='RAID'">2</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="$name='Disable'">1</xsl:if>
			<xsl:if test="$name='Enable'">2</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="smstatus">
		<xsl:param name="status"/>
		<xsl:param name="mssg"/>
		<xsl:choose>
			<xsl:when test="$status = '-1'"><xsl:value-of select="$strCommandUnsuccessful"/></xsl:when>
			<xsl:when test="$status = '1'"><xsl:value-of select="$strCommandNotImplemented"/></xsl:when>
			<xsl:when test="$status = '2'"><xsl:value-of select="$strBadCommand"/></xsl:when>
			<xsl:when test="$status = '3'"><xsl:value-of select="$strCommandTimeout"/></xsl:when>
			<xsl:when test="$status = '4'"><xsl:value-of select="$strCommandCancelled"/></xsl:when>
			<xsl:when test="$status = '5'"><xsl:value-of select="$strCommandAborted"/></xsl:when>
			<xsl:when test="$status = '6'"><xsl:value-of select="$strCommandPending"/></xsl:when>
			<xsl:when test="$status = '7'"><xsl:value-of select="$strNoSuchDevice"/></xsl:when>
			<xsl:when test="$status = '8'"><xsl:value-of select="$strDeviceBusy"/></xsl:when>
			<xsl:when test="$status = '9'"><xsl:value-of select="$strBadDevice"/></xsl:when>
			<xsl:when test="$status = '10'"><xsl:value-of select="$strSpuriousInterrupt"/></xsl:when>
			<xsl:when test="$status = '11'"><xsl:value-of select="$strResourceLocked"/></xsl:when>
			<xsl:when test="$status = '12'"><xsl:value-of select="$strInvalidIndex"/></xsl:when>
			<xsl:when test="$status = '13'"><xsl:value-of select="$strSMBError"/></xsl:when>
			<xsl:when test="$status = '14'"><xsl:value-of select="$strDataRequestedIs"/></xsl:when>
			<xsl:when test="$status = '15'"><xsl:value-of select="$strDataRequestedIs1"/></xsl:when>
			<xsl:when test="$status = '16'"><xsl:value-of select="$strDataRequestedIs2"/></xsl:when>
			<xsl:when test="$status = '17'"><xsl:value-of select="$strDeviceNotYet"/></xsl:when>
			<xsl:when test="$status = '18'"><xsl:value-of select="$strDeviceDoesNot"/></xsl:when>
			<xsl:when test="$status = '19'"><xsl:value-of select="$strDeviceOutOf"/></xsl:when>
			<xsl:when test="$status = '20'"><xsl:value-of select="$strDeviceAlreadyExists"/></xsl:when>
			<xsl:when test="$status = '256'"><xsl:value-of select="$strBIOSSetupObject"/></xsl:when>
			<xsl:when test="$status = '257'"><xsl:value-of select="$strBIOSSetupObject1"/></xsl:when>
			<xsl:when test="$status = '258'"><xsl:value-of select="$strBIOSSetupObject2"/></xsl:when>
			<xsl:when test="$status = '260'"><xsl:value-of select="$strINIFileNot"/></xsl:when>
			<xsl:when test="$status = '261'"><xsl:value-of select="$strINIMalformedCorrupt"/></xsl:when>
			<xsl:when test="$status = '262'"><xsl:value-of select="$strINISectionDoes"/></xsl:when>
			<xsl:when test="$status = '263'"><xsl:value-of select="$strINIKeyDoes"/></xsl:when>
			<xsl:when test="$status = '264'"><xsl:value-of select="$strINIValueMalformed"/></xsl:when>
			<xsl:when test="$status = '270'"><xsl:value-of select="$strInsufficientAccessRights"/></xsl:when>
			<xsl:when test="$status = '271'"><xsl:value-of select="$strInvalidParameterName"/><xsl:value-of select="$mssg"/></xsl:when>
			<xsl:when test="$status = '272'"><xsl:value-of select="$strOutOfMemory"/></xsl:when>
			<xsl:when test="$status = '280'"><xsl:value-of select="$strXMLFileNot"/></xsl:when>
			<xsl:when test="$status = '281'"><xsl:value-of select="$strXMLMalformedCorrupt"/></xsl:when>
			<xsl:when test="$status = '282'"><xsl:value-of select="$strXMLNodeDoes"/></xsl:when>
			<xsl:when test="$status = '283'"><xsl:value-of select="$strXMLValueMalformed"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$strSMStatus"/><xsl:value-of select="$status"/></xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template match="*"/>

</xsl:stylesheet>
