<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml"/>
	<xsl:template match="/OMA">
		<DataArea>
			<Subheader display="On-Line Diagnostics Session Results Logs"/>
			<xsl:apply-templates select="//Device"/>
			<xsl:apply-templates select="//Error"/>
		</DataArea>
	</xsl:template>
	<xsl:template match="Device"> 
		<ListData>
			<Data>
				<xsl:attribute name="display">Device Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Device Description</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@devdescription"/></xsl:attribute>
			</Data>
                   <Data>
				<xsl:attribute name="display">HW/OS Description</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@hwos"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Test Name</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@description"/></xsl:attribute>
			</Data>
		      <Data>
				<xsl:attribute name="display">Result</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@result"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Result Details</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@resultdetails"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Requested Passes</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@reqpasses"/></xsl:attribute>
			</Data>
			<Data>
				<xsl:attribute name="display">Passes Run</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@passesrun"/></xsl:attribute>
			</Data>
		</ListData>
		</xsl:template>
		<xsl:template match="Error"> 
		<PageTitle>
	               <xsl:attribute name="display"><!--XLATESTART-->Error! <!--XLATESTOP--><xsl:value-of select="@display"/></xsl:attribute>
        	</PageTitle>
		</xsl:template>

</xsl:stylesheet>

