<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="Session/Differences"/>
        <xsl:apply-templates select="Differences"/>
    </xsl:template>
    <xsl:template match="Session/Differences">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Hardwarekonfigurations&#228;nderungen<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
                <xsl:apply-templates select="Empty"/>
        </DataArea>
    </xsl:template>
    <xsl:template match="Differences">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin" validate="false" submitdisplay="Best&#228;tigen" expand="true">
            <PageTitle><xsl:attribute name="display"><!--XLATESTART-->Hardwarekonfigurations&#228;nderungen<!--XLATESTOP--></xsl:attribute></PageTitle>
            <PromptText><!--XLATESTART-->
		Der Diagnostic Service hat festgestellt, dass Ihre Systemkonfiguration seit der letzten Ausf&#252;hrung der Diagnose ge&#228;ndert wurde.  Die Systemkonfigurations&#228;nderungen sind aufgetreten, weil entweder Ger&#228;te dem System hinzugef&#252;gt oder daraus entfernt wurden,  
		oder weil die Diagnoseservice-Software aufger&#252;stet wurde, wodurch zus&#228;tzliche Hardware-Erkennungs- und Diagnose-F&#228;higkeiten aktiviert wurden.
	
		Die hinzugef&#252;gten oder entfernten Ger&#228;te sind unten aufgelistet.  Klicken Sie auf die Schaltfl&#228;che 'Best&#228;tigen', um die &#196;nderungen anzunehmen.

		<!--XLATESTOP-->
            </PromptText>
            <CustomTable>
                <xsl:apply-templates select="Added/Device"/>
                <xsl:apply-templates select="Subtracted/Device"/>
            </CustomTable>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
			<xsl:element name="Data"><!--XLATESTART-->Ger&#228;tebeschreibung:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Hardware-Betriebssystembeschreibung:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Zeitstempel:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Ger&#228;tebeschreibung:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Hardware-Betriebssystembeschreibung:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Zeitstempel:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data"><xsl:attribute name="value"><!--XLATESTART-->Keine Hardwarekonfigurations&#228;nderungen festgestellt<!--XLATESTOP--></xsl:attribute></xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
