<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="DiagnosticProgress"/>
    </xsl:template>
	<xsl:template match="DiagnosticProgress">
		<xsl:element name="DataArea">
			<xsl:attribute name="exportdata">false</xsl:attribute>
			<xsl:attribute name="progressbar">true</xsl:attribute>
			<xsl:attribute name="email">false</xsl:attribute>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'true' ">
                <xsl:attribute name="backpagedisplay"><!--XLATESTART-->Warnung<!--XLATESTOP--></xsl:attribute>
                <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=FromOMA</xsl:attribute>
            </xsl:if>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'false' ">
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->Auswahloption<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=BatchLogSelect&amp;help=view</xsl:attribute>
            </xsl:if>

            <PageTitle>
<xsl:attribute name="display"><!--XLATESTART-->Diagnosefortschritt<!--XLATESTOP--></xsl:attribute>            </PageTitle>
            <xsl:if test="@overall = 'true'">
                <PromptText>
                    <!--XLATESTART-->				Diagnosetests die gegenw&#228;rtig auf dem System ausgef&#252;hrt werden, sind auf den unteren Fortschrittsanzeigen angegeben.				<!--XLATESTOP-->
                    <xsl:if test="@queueempty = 'false'">
                        <!--XLATESTART-->
					Nachdem diese Diagnosen abgeschlossen sind, werden die Tests gestartet, die Sie ausgew&#228;hlt haben, wenn Sie 'Tests ausf&#252;hren' ausgew&#228;hlt haben oder diese Seite verlassen.
					<!--XLATESTOP-->
                    </xsl:if>
                </PromptText>
            </xsl:if>
            <ProgressBar uidata="true" frequency="2000">
                <UIData>
                    <xsl:choose>
                        <xsl:when test="@overall = 'true' and @override = 'false' and @queueempty = 'false'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href"/>
                                <xsl:attribute name="display"><!--XLATESTART-->Tests ausf&#252;hren<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@overall = 'false' or @override = 'true'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=true</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->Abbrechen<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="@overall = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressBatchLog</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->Ergebnisse anzeigen<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@queueempty = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressProgress</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->Tests ausf&#252;hren<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:if test="@overall = 'false'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=false"/>
                    </xsl:if>
                    <xsl:if test="@overall = 'true' or @override='true'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateOverallProgressWebPlugin"/>
                    </xsl:if>
                    <ProgressBarList>
                        <xsl:apply-templates select="Device"/>
                    </ProgressBarList>
                </UIData>
            </ProgressBar>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="UIBar">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:attribute name="display"><xsl:value-of select="@name"/> - <xsl:value-of select=".//Test/@name"/></xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
