<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="/OMA">
<xsl:element name="DataArea">
<xsl:attribute name="email">true</xsl:attribute>
<xsl:attribute name="exportdata">false</xsl:attribute>
<xsl:attribute name="expand">false</xsl:attribute>
<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticWelcomeWebPlugin</xsl:attribute>
<xsl:attribute name="submitdisplay"><!--XLATESTART-->Fortfahren<!--XLATESTOP--></xsl:attribute>
<PageTitle>
<xsl:attribute name="display"><!--XLATESTART-->Diagnose-Warnung<!--XLATESTOP--></xsl:attribute>
</PageTitle>
<xsl:if test="./Welcome/DisplayWarningMessage = 'true'">
<PromptText>
<!--XLATESTART-->
ANMERKUNG: Der <!--XLATESTOP-->Server Administrator <!--XLATESTART-->Diagnostic Service unterst&#252;tzt spezifische Hardwareger&#228;te.
Eine Liste der unterst&#252;tzten Hardware f&#252;r diese Version finden Sie im Server Administrator-Kompatibilit&#228;tshandbuch.
<!--XLATESTOP-->
</PromptText>
<xsl:text>&#xa;</xsl:text>
<PromptText>
<!--XLATESTART-->
Diese Anwendung wird zusammen mit allen anderen Anwendungen ausgef&#252;hrt, die auf dem Server unter dem Test ausgef&#252;hrt werden. Die Ausf&#252;hrung dieser Diagnose wird eine erhebliche zus&#228;tzliche Systembelastung verursachen, die die Leistung des Servers und aller ausgef&#252;hrten Anwendungen beeintr&#228;chtigen wird. Wenn Sie kritische Anwendungen ausf&#252;hren, die eine schnelle Reaktion erfordern oder umfassende Systemressourcen beanspruchen, sind entsprechende Vorsichtsma&#223;nahmen zu treffen, bevor Sie diese Diagnose ausf&#252;hren. Schlie&#223;en Sie alle nicht erforderlichen Anwendungen, und f&#252;hren Sie die Diagnose nur dann aus, wenn der Server keinen Spitzenbelastungen ausgesetzt ist. 
<!--XLATESTOP-->
</PromptText>
<ListData>
<xsl:apply-templates select="Welcome/DisplayWarningMessage"/>
</ListData>
</xsl:if>
<xsl:apply-templates select="Welcome"/>
</xsl:element>
</xsl:template>
<xsl:template match="Welcome">
<xsl:apply-templates select="DefaultDiagWarning"/>
<xsl:apply-templates select="SchedulerRanWarning"/>
<xsl:apply-templates select="DiagDiffWarning"/>
<xsl:apply-templates select="DiagsRunningWarning"/>
</xsl:template>
<xsl:template match="DisplayWarningMessage">
<xsl:element name="Data">
<xsl:attribute name="name">SystemAlertValue</xsl:attribute>
<xsl:attribute name="display"><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Diese Nachricht in Zukunft deaktivieren<!--XLATESTOP--></xsl:attribute>
<xsl:attribute name="type">checkbox</xsl:attribute>
<xsl:attribute name="returnvalue">0</xsl:attribute>
<xsl:choose>
<xsl:when test=". ='true'">
<xsl:attribute name="state">0</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="state">1</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</xsl:element>
</xsl:template>
<xsl:template match="DefaultDiagWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
F&#252;r dieses System existiert kein Satz benutzerspezifischer Diagnosen. Diese Bedingung kann anzeigen, dass eine Produktaktualisierung mit benutzerspezifischer Unterst&#252;tzung f&#252;r dieses Produkt existiert.
<!--XLATESTOP-->
</xsl:element>
</xsl:if>
</xsl:template>
<xsl:template match="SchedulerRanWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
Ein Satz geplanter Diagnosen, der zur Ausf&#252;hrung gew&#228;hlt wurde, ist abgeschlossen.
Bitte klicken Sie auf die Verkn&#252;pfung 'Ergebnisverlauf' im Men&#252; zur Anzeige der Ergebnisse.
<!--XLATESTOP-->
</xsl:element>
</xsl:if>
</xsl:template>
<xsl:template match="DiagDiffWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
Der Diagnostic Service hat erkannt, dass die Systemkonfiguration ge&#228;ndert wurde.
Bitte klicken Sie auf die Verkn&#252;pfung 'Konfigurations&#228;nderungen' im Men&#252; zur Anzeige der &#196;nderungen am System.
<!--XLATESTOP-->
</xsl:element>
</xsl:if>
</xsl:template>
<xsl:template match="DiagsRunningWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
Es werden zurzeit Diagnosetests auf diesem System ausgef&#252;hrt. Klicken Sie auf die Schaltfl&#228;che 'Fortschritt anzeigen' um den Fortschritt zu &#252;berwachen. Wenn Sie die richtigen Benutzerrechte besitzen, k&#246;nnen Sie das Testen auch von dieser Seite abbrechen. Diagnosetests, die durch den Planer oder die Befehlszeilenbenutzeroberfl&#228;che gestartet wurden, k&#246;nnen nicht abgebrochen werden. 
<!--XLATESTOP-->
</xsl:element>
<CustomButton>
<xsl:element name="Data">
<xsl:attribute name="name">Progress</xsl:attribute>
<xsl:attribute name="display"><!--XLATESTART-->Fortschrittsverlauf anzeigen<!--XLATESTOP--></xsl:attribute>
<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticOverallProgressWebPlugin</xsl:attribute>
</xsl:element>
</CustomButton>
</xsl:if>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
