<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea expand="true">
            <PageTitle>
	               <xsl:attribute name="display"><!--XLATESTART-->Diagnoseergebnisverlauf<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="DiagnosticResults/Session/Empty">
                <xsl:apply-templates select="DiagnosticResults/Session/Empty"/>
            </xsl:if>
            <xsl:if test="not(DiagnosticResults/Session/Empty)">
			<script language="javascript">
				function clearLog()
				{
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticHistoryWebPlugin';
					document.dataarea.submit();
				}
				function validate() {
					return true;
				}
			</script>
			<CustomButton>
				<Data name="Clear">
					<xsl:attribute name="display"><!--XLATESTART-->Protokoll l&#246;schen<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
				</Data>
			</CustomButton>
            <CustomTable>
                <xsl:apply-templates select="DiagnosticResults/Session/Device"/>
            </CustomTable>
            </xsl:if>
        </DataArea>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select=".//Result/@timestamp"/><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:choose>
                <xsl:when test="contains(.//Result/@type, '2')"><xsl:attribute name="status">2</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '0')"><xsl:attribute name="status">4</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '1')"><xsl:attribute name="status">6</xsl:attribute></xsl:when>
            </xsl:choose>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select=".//Test/@name"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Ger&#228;tebeschreibung:<!--XLATESTOP--></xsl:element>
                    		<xsl:if test="not(string-length(@description))">
                    <xsl:element name="Data"><!--XLATESTART-->Keine Informationen verf&#252;gbar<!--XLATESTOP--></xsl:element>
		</xsl:if>
		<xsl:if test="string-length(@description)">
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
		</xsl:if>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Hardware-Betriebssystembeschreibung:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Zeitstempel:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@timestamp"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Testergebnis:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data">
					<xsl:if test=".//Result/@type = '0'"><!--XLATESTART-->FEHLGESCHLAGEN<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '1'"><!--XLATESTART-->ABGEBROCHEN<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '2'"><!--XLATESTART-->ERFOLGREICH ABGESCHLOSSEN<!--XLATESTOP--></xsl:if>
                    </xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Ergebnisdetails:<!--XLATESTOP--></xsl:element>
                     <xsl:element name="Data">
				<xsl:if test="not(.//Result/ResultEvent)"><!--XLATESTART-->Der Testvorgang wurde erfolgreich abgeschlossen.<!--XLATESTOP--></xsl:if>
				<xsl:if test=".//Result/ResultEvent"><ValueList><xsl:for-each select=".//Result/ResultEvent"><value><xsl:value-of select="@eventstring" /></value></xsl:for-each></ValueList></xsl:if>
                     </xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Angeforderte Durchg&#228;nge:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@totalpasses"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Ausgef&#252;hrte Durchg&#228;nge:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@completedpasses"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Aktualisieren<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data"><xsl:attribute name="value"><!--XLATESTART-->Keine Ergebnisinformationen verf&#252;gbar<!--XLATESTOP--></xsl:attribute></xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
