<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticSettingsWebPlugin" validate="true" email="true" expand="false" exportdata="false">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Valores de la aplicaci&#243;n<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:apply-templates select="AppSettings"/>
            <script>
		function validate() {
			var errorMessage = "";
                        var numeric = "1234567890";

			var resulthistory = document.getElementById("ResultHistoryValue").value ;
			var diffhistory = document.getElementById("DiffHistoryValue").value;
                        
			if (resulthistory.length == 0) 
				errorMessage += /*<!--XLATESTART-->*/"El valor del tama&#241;o del historial de resultados de diagn&#243;sticos no puede estar en blanco.\n" ;/*<!--XLATESTOP-->*/
			else {
				if ( (isNaN(resulthistory)) ||  (resulthistory &lt; 1) || (resulthistory &gt; 100) ){
					errorMessage += /*<!--XLATESTART-->*/"Tama&#241;o del archivo de historial de resultados de diagn&#243;sticos no v&#225;lido. Por favor, introduzca un valor entero entre 1 y 100.\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; resulthistory.length ; i++) {
                                             if (numeric.indexOf(resulthistory.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"Tama&#241;o del archivo de historial de resultados de diagn&#243;sticos no v&#225;lido. Por favor, introduzca un valor entero entre 1 y 100.\n";/*<!--XLATESTOP-->*/ 
				}
			}
			
			if (diffhistory.length == 0) 
				errorMessage += /*<!--XLATESTART-->*/"El valor del tama&#241;o del historial de cambios de configuraci&#243;n del hardware no puede estar en blanco.\n" ;/*<!--XLATESTOP-->*/
			else {
				if ( (isNaN(diffhistory)) ||  (diffhistory &lt; 1) || (diffhistory &gt; 100) ){
					errorMessage += /*<!--XLATESTART-->*/"Tama&#241;o del archivo del historial de cambios de configuraci&#243;n del hardware no v&#225;lido. Por favor, introduzca un valor entero entre 1 y 100.\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; diffhistory.length ; i++) {
                                             if (numeric.indexOf(diffhistory.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"Tama&#241;o del archivo del historial de cambios de configuraci&#243;n del hardware no v&#225;lido. Por favor, introduzca un valor entero entre 1 y 100.\n";/*<!--XLATESTOP-->*/ 
				}
			}
			if (errorMessage == "") 
				return true;
			else {
				alert(errorMessage);
				return false;
			}
		}
		</script>
        </DataArea>
    </xsl:template>
    <xsl:template match="AppSettings">
        <TableData>
            <Header>
                <Data>
                    <xsl:attribute name="value"><!--XLATESTART-->Archivo de registro<!--XLATESTOP--></xsl:attribute>
                    <xsl:attribute name="display">Logfile</xsl:attribute>
                </Data>
                <Data>
                    <xsl:attribute name="value"><!--XLATESTART-->Tama&#241;o m&#225;ximo de archivo<!--XLATESTOP--></xsl:attribute>
                    <xsl:attribute name="display">MaxSize</xsl:attribute>
                </Data>
            </Header>
            <xsl:apply-templates select="LogFileSetting"/>
        </TableData>
        <ListData>
            <xsl:apply-templates select="SystemAlertSetting"/>
            <xsl:apply-templates select="TestAlertSettings"/>
        </ListData>
    </xsl:template>
    <xsl:template match="LogFileSetting">
        <Row>
            <xsl:choose>
                <xsl:when test="Type = 'History'">
                    <xsl:element name="Data">
                        <xsl:attribute name="value"><!--XLATESTART-->Historial de resultados de diagn&#243;sticos<!--XLATESTOP--></xsl:attribute>
                        <xsl:attribute name="display">ResultHistoryValue</xsl:attribute>
                    </xsl:element>
                    <xsl:element name="Data">
                        <xsl:attribute name="name">ResultHistoryValue</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
                        <xsl:attribute name="unit"><xsl:value-of select="Size/@unit"/></xsl:attribute>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:element name="Data">
                        <xsl:attribute name="value"><!--XLATESTART-->Historial de cambios de configuraci&#243;n del hardware<!--XLATESTOP--></xsl:attribute>
                        <xsl:attribute name="display">DiffHistoryValue</xsl:attribute>
                    </xsl:element>
                    <xsl:element name="Data">
                        <xsl:attribute name="name">DiffHistoryValue</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
                        <xsl:attribute name="unit"><xsl:value-of select="Size/@unit"/></xsl:attribute>
                    </xsl:element>
                </xsl:otherwise>
            </xsl:choose>
        </Row>
    </xsl:template>
    <xsl:template match="SystemAlertSetting">
        <xsl:element name="Data">
            <xsl:attribute name="name">SystemAlertValue</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Mostrar mensajes de advertencia de la aplicaci&#243;n<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="TestAlertSettings">
        <xsl:element name="Data">
            <xsl:attribute name="name">TestAlertsValue</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Mostrar mensajes de advertencia de la prueba<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>

