<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="Session/Differences"/>
        <xsl:apply-templates select="Differences"/>
    </xsl:template>
    <xsl:template match="Session/Differences">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Cambios de configuraci&#243;n del hardware<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
                <xsl:apply-templates select="Empty"/>
        </DataArea>
    </xsl:template>
    <xsl:template match="Differences">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin" validate="false" submitdisplay="Reconocer" expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Cambios de configuraci&#243;n del hardware<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <PromptText>
                <!--XLATESTART-->
		Diagnostic Service ha detectado que la configuraci&#243;n del sistema ha cambiado desde la &#250;ltima vez que se ejecutaron los diagn&#243;sticos. 
		Los cambios de configuraci&#243;n del sistema pueden haberse producido porque se agregaron o quitaron dispositivos del 
		sistema o porque se actualiz&#243; el software de Diagnostic Service, lo que habilitar&#237;a capacidades adicionales de diagn&#243;stico y detecci&#243;n de hardware.
	
		A continuaci&#243;n se indican los dispositivos que se han agregado o quitado.  Haga clic en el bot&#243;n 'Reconocer' para aceptar los cambios.

		<!--XLATESTOP-->
            </PromptText>
            <CustomTable>
                <xsl:apply-templates select="Added/Device"/>
                <xsl:apply-templates select="Subtracted/Device"/>
            </CustomTable>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del dispositivo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART--> Descripci&#243;n del HW/sistema operativo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Marca de hora:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del dispositivo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del HW/sistema operativo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Marca de hora:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data"><xsl:attribute name="value"><!--XLATESTART-->No se han detectado cambios de configuraci&#243;n del hardware<!--XLATESTOP--></xsl:attribute></xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
