<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:template match="/OMA">
<xsl:element name="DataArea">
<xsl:attribute name="email">true</xsl:attribute>
<xsl:attribute name="exportdata">false</xsl:attribute>
<xsl:attribute name="expand">false</xsl:attribute>
<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticWelcomeWebPlugin</xsl:attribute>
<xsl:attribute name="submitdisplay"><!--XLATESTART-->Continuar<!--XLATESTOP--></xsl:attribute>
<PageTitle>
<xsl:attribute name="display"><!--XLATESTART-->Advertencia de diagn&#243;stico<!--XLATESTOP--></xsl:attribute>
</PageTitle>
<xsl:if test="./Welcome/DisplayWarningMessage = 'true'">
<PromptText>
<!--XLATESTART-->
NOTA: El <!--XLATESTOP-->Diagnostic Service de <!--XLATESTART-->Server Administrator admite dispositivos de hardware espec&#237;ficos.
Consulte la Gu&#237;a de compatibilidad de Server Administrator para ver una lista del hardware compatible con esta versi&#243;n.
<!--XLATESTOP-->
</PromptText>
<xsl:text>&#xa;</xsl:text>
<PromptText>
<!--XLATESTART-->
Esta aplicaci&#243;n se ejecuta simult&#225;neamente con el resto de aplicaciones que est&#225;n ejecut&#225;ndose en el servidor sometido a prueba. Ejecutar estos diagn&#243;sticos causar&#225; una carga adicional significativa al sistema que influir&#225; en el rendimiento del servidor y en las aplicaciones en ejecuci&#243;n. Si est&#225; ejecutando aplicaciones cr&#237;ticas que requieran una r&#225;pida respuesta o que consumen muchos recursos del sistema, tome las precauciones adecuadas antes de ejecutar estos diagn&#243;sticos. Cierre todas las aplicaciones que no sean esenciales y ejecute los diagn&#243;sticos en horas de baja actividad de uso del servidor. 
<!--XLATESTOP-->
</PromptText>
<ListData>
<xsl:apply-templates select="Welcome/DisplayWarningMessage"/>
</ListData>
</xsl:if>
<xsl:apply-templates select="Welcome"/>
</xsl:element>
</xsl:template>
<xsl:template match="Welcome">
<xsl:apply-templates select="DefaultDiagWarning"/>
<xsl:apply-templates select="SchedulerRanWarning"/>
<xsl:apply-templates select="DiagDiffWarning"/>
<xsl:apply-templates select="DiagsRunningWarning"/>
</xsl:template>
<xsl:template match="DisplayWarningMessage">
<xsl:element name="Data">
<xsl:attribute name="name">SystemAlertValue</xsl:attribute>
<xsl:attribute name="display"><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Desactivar este mensaje en el futuro<!--XLATESTOP--></xsl:attribute>
<xsl:attribute name="type">checkbox</xsl:attribute>
<xsl:attribute name="returnvalue">0</xsl:attribute>
<xsl:choose>
<xsl:when test=". ='true'">
<xsl:attribute name="state">0</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="state">1</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
</xsl:element>
</xsl:template>
<xsl:template match="DefaultDiagWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
No existe un conjunto de diagn&#243;sticos personalizados para este sistema. Esta condici&#243;n puede indicar que existe una actualizaci&#243;n del producto con asistencia personalizada para este sistema.
<!--XLATESTOP-->
</xsl:element>
</xsl:if>
</xsl:template>
<xsl:template match="SchedulerRanWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
Se ha completado el conjunto de diagn&#243;sticos programados.
Haga clic en el v&#237;nculo 'Historial de resultados' del men&#250; para ver los resultados.
<!--XLATESTOP-->
</xsl:element>
</xsl:if>
</xsl:template>
<xsl:template match="DiagDiffWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
Diagnostic Service ha detectado que la configuraci&#243;n del sistema ha cambiado.
Haga clic en el v&#237;nculo 'Cambios de configuraci&#243;n' del men&#250; para revisar los cambios en el sistema.
<!--XLATESTOP-->
</xsl:element>
</xsl:if>
</xsl:template>
<xsl:template match="DiagsRunningWarning">
<xsl:if test=". = 'true'">
<xsl:element name="CustomMessage">
<xsl:attribute name="status">3</xsl:attribute>
<!--XLATESTART-->
Hay pruebas de diagn&#243;stico ejecut&#225;ndose actualmente en este sistema. Haga clic en el bot&#243;n 'Ver progreso' para supervisar el progreso. Desde esta p&#225;gina se puede tambi&#233;n anular pruebas si se tienen los privilegios de usuario apropiados. Las pruebas de diagn&#243;stico que se iniciaron por medio del programador o de la interfaz de l&#237;nea de comando no pueden anularse. 
<!--XLATESTOP-->
</xsl:element>
<CustomButton>
<xsl:element name="Data">
<xsl:attribute name="name">Progress</xsl:attribute>
<xsl:attribute name="display"><!--XLATESTART-->Ver progreso<!--XLATESTOP--></xsl:attribute>
<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticOverallProgressWebPlugin</xsl:attribute>
</xsl:element>
</CustomButton>
</xsl:if>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
