<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Historial de cambios de configuraci&#243;n del hardware<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="DiagnosticResults/Session/Empty">
                <xsl:apply-templates select="DiagnosticResults/Session/Empty"/>
            </xsl:if>
            <xsl:if test="not(DiagnosticResults/Session/Empty)">
               <PromptText>
                <!--XLATESTART-->
              	Diagnostic Service ha detectado los siguientes cambios de configuraci&#243;n del sistema desde que se instal&#243; el producto. A continuaci&#243;n se muestra la lista de dispositivos
		       que se han agregado o quitado.
		  <!--XLATESTOP-->
              </PromptText>
              <CustomTable>
                    <xsl:apply-templates select="//Added/Device"/>
                    <xsl:apply-templates select="//Subtracted/Device"/>
                </CustomTable>
            </xsl:if>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del dispositivo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del HW/sistema operativo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Marca de hora:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del dispositivo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART--> Descripci&#243;n del HW/sistema operativo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Marca de hora:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data"><xsl:attribute name="value"><!--XLATESTART-->No hay informaci&#243;n de diferencias de configuraci&#243;n disponible.<!--XLATESTOP--></xsl:attribute></xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
