<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea expand="true">
            <PageTitle>
	               <xsl:attribute name="display"><!--XLATESTART-->Historial de resultados de diagn&#243;sticos<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="DiagnosticResults/Session/Empty">
                <xsl:apply-templates select="DiagnosticResults/Session/Empty"/>
            </xsl:if>
            <xsl:if test="not(DiagnosticResults/Session/Empty)">
			<script language="javascript">
				function clearLog()
				{
					document.dataarea.action='/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticHistoryWebPlugin';
					document.dataarea.submit();
				}
				function validate() {
					return true;
				}
			</script>
			<CustomButton>
				<Data name="Clear">
					<xsl:attribute name="display"><!--XLATESTART-->Borrar registro<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">javascript:clearLog()</xsl:attribute>
					<xsl:attribute name="formSubmit">true</xsl:attribute>
				</Data>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
				</Data>
			</CustomButton>
            <CustomTable>
                <xsl:apply-templates select="DiagnosticResults/Session/Device"/>
            </CustomTable>
            </xsl:if>
        </DataArea>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select=".//Result/@timestamp"/><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:choose>
                <xsl:when test="contains(.//Result/@type, '2')"><xsl:attribute name="status">2</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '0')"><xsl:attribute name="status">4</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '1')"><xsl:attribute name="status">6</xsl:attribute></xsl:when>
            </xsl:choose>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select=".//Test/@name"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del dispositivo:<!--XLATESTOP--></xsl:element>
		<xsl:if test="not(string-length(@description))">
                    <xsl:element name="Data"><!--XLATESTART-->No hay informaci&#243;n disponible<!--XLATESTOP--></xsl:element>
		</xsl:if>
		<xsl:if test="string-length(@description)">
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
		</xsl:if>
		   </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Descripci&#243;n del HW/sistema operativo:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Marca de hora:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@timestamp"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Resultado de la prueba:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data">
					<xsl:if test=".//Result/@type = '0'"><!--XLATESTART-->FALLA<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '1'"><!--XLATESTART-->ANULADA<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '2'"><!--XLATESTART-->SATISFACTORIA<!--XLATESTOP--></xsl:if>
                    </xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Detalles de resultado:<!--XLATESTOP--></xsl:element>
                     <xsl:element name="Data"><xsl:if test="not(.//Result/ResultEvent)"><!--XLATESTART-->Se ha completado satisfactoriamente la operaci&#243;n de prueba. <!--XLATESTOP--></xsl:if>
				<xsl:if test=".//Result/ResultEvent">
					<ValueList><xsl:for-each select=".//Result/ResultEvent"><value><xsl:value-of select="@eventstring" /></value></xsl:for-each></ValueList>
				</xsl:if>
                     </xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Pasadas solicitadas:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@totalpasses"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Pasadas ejecutadas:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@completedpasses"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualizar<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data"><xsl:attribute name="value"><!--XLATESTART-->No hay informaci&#243;n de resultado disponible.<!--XLATESTOP--></xsl:attribute></xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
