<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:element name="DataArea">
            <xsl:attribute name="email">true</xsl:attribute>
	     <xsl:attribute name="exportdata">false</xsl:attribute>
            <xsl:attribute name="expandl">false</xsl:attribute>
            <xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticAdvancedSettingsWebPlugin</xsl:attribute>
            <xsl:attribute name="validate">true</xsl:attribute>
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->S&#233;lection<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=AdvSettSelect&amp;help=view</xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Param&#232;tres avanc&#233;s<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:apply-templates select="AdvancedSettings"/>
            <script>
		function validate() {
			var errorMessage = "";
                        var numeric = "1234567890";

			var nospasses = document.getElementById("NumberOfPasses").value ;
			var mindurationvalue=document.getElementById("MinDuration").value;
			var maxdurationvalue=document.getElementById("MaxDuration").value ;
                        
			if (nospasses.length == 0) {
				errorMessage += /*<!--XLATESTART-->*/"Le champ Nombre d'ex&#233;cutions ne peut pas &#234;tre vide.\n" ;/*<!--XLATESTOP-->*/
			}
			else {
				if ( (isNaN(nospasses)) ||  (nospasses &lt; 1) || (nospasses &gt; 999) ){
					errorMessage += /*<!--XLATESTART-->*/"Nombre d'ex&#233;cutions non valide. Veuillez entrer une valeur enti&#232;re entre 1 et 999.\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; nospasses.length ; i++) {
                                             if (numeric.indexOf(nospasses.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"Nombre d'ex&#233;cutions non valide. Veuillez entrer une valeur enti&#232;re entre 1 et 999.\n";/*<!--XLATESTOP-->*/ 
				}
			}
			
			if (mindurationvalue.length  == 0)
				errorMessage += /*<!--XLATESTART-->*/"Le champ Dur&#233;e minimale ne peut pas &#234;tre vide.\n" ;/*<!--XLATESTOP-->*/
			else {
				if (isNaN(mindurationvalue) ) 
					errorMessage += /*<!--XLATESTART-->*/"La dur&#233;e minimale n'est pas valide. Veuillez entrer une valeur enti&#232;re.\n";/*<!--XLATESTOP-->*/
				else {
					if (mindurationvalue &lt; 0) 
						errorMessage += /*<!--XLATESTART-->*/"Veuillez entrer une valeur positive pour Dur&#233;e minimale.\n";/*<!--XLATESTOP-->*/
                                        else {
                                             var error = false ;
                                             for (var i=0 ; i &lt; mindurationvalue.length ; i++) {
                                                  if (numeric.indexOf(mindurationvalue.charAt(i)) == -1) 
						     error = true ;
                                             }
                                             if (error)
					          errorMessage += /*<!--XLATESTART!-->*/"La dur&#233;e minimale n'est pas valide. Veuillez entrer une valeur enti&#232;re.\n";/*<!--XLATESTOP-->*/ 
					}
				}
			}

			if (maxdurationvalue.length == 0)
				errorMessage += /*<!--XLATESTART-->*/"Le champ Dur&#233;e maximale ne peut pas &#234;tre vide.\n" ;/*<!--XLATESTOP-->*/
			else {
				if (isNaN(maxdurationvalue) ) 
					errorMessage += /*<!--XLATESTART-->*/"La dur&#233;e maximale n'est pas valide. Veuillez entrer une valeur enti&#232;re.\n";/*<!--XLATESTOP-->*/
				else {
					if (maxdurationvalue &lt; 0) 
						errorMessage += /*<!--XLATESTART-->*/"Veuillez entrer une valeur positive pour Dur&#233;e maximale.\n";/*<!--XLATESTOP-->*/
				else {
					if (maxdurationvalue &gt; 16665) 
						errorMessage += /*<!--XLATESTART-->*/"Veuillez entrer une valeur inf&#233;rieure ou &#233;gale &#224; 16665 pour Dur&#233;e maximale.\n";/*<!--XLATESTOP-->*/
                                        else {
                                             var error = false ;
                                             for (var i=0 ; i &lt; maxdurationvalue.length ; i++) {
                                                  if (numeric.indexOf(maxdurationvalue.charAt(i)) == -1) 
						     error = true ;
                                             }
                                             if (error)
					          errorMessage += /*<!--XLATESTART!-->*/"La dur&#233;e maximale n'est pas valide. Veuillez entrer une valeur enti&#232;re.\n";/*<!--XLATESTOP-->*/ 
						}
					}
				}
			}


	

			if (eval(mindurationvalue - maxdurationvalue) &gt; -1 ) 
				errorMessage += /*<!--XLATESTART-->*/"La valeur de Dur&#233;e maximale doit &#234;tre sup&#233;rieure &#224; la valeur de Dur&#233;e minimale.\n";/*<!--XLATESTOP-->*/
			
			if (errorMessage == "") {
				return true ;
			}
			else  {
				alert(errorMessage);
				return false ;
			}
		}
		</script>
        </xsl:element>
    </xsl:template>
    <xsl:template match="AdvancedSettings">
        <ListData>
            <xsl:apply-templates/>
        </ListData>
    </xsl:template>
    <xsl:template match="HaltOnError">
        <xsl:element name="Data">
            <xsl:attribute name="name">HaltOnError</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Pauser sur erreur<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="RunSimultaneously">
        <xsl:element name="Data">
            <xsl:attribute name="name">RunSimultaneously</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Ex&#233;cuter simultan&#233;ment<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Quicktest">
        <xsl:element name="Data">
            <xsl:attribute name="name">Quicktest</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Test rapide<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="NumberOfPasses">
        <xsl:element name="Data">
            <xsl:attribute name="name">NumberOfPasses</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Nombre d'ex&#233;cutions<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="size">3</xsl:attribute>
            <xsl:attribute name="maxlength">3</xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="UserDefinedTimes">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="MinDuration">
        <xsl:element name="Data">
            <xsl:attribute name="name">MinDuration</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e minimale<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
            <xsl:attribute name="size">5</xsl:attribute>
            <xsl:attribute name="maxlength">5</xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
            <xsl:attribute name="unit"> min.</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="MaxDuration">
        <xsl:element name="Data">
            <xsl:attribute name="name">MaxDuration</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->Dur&#233;e maximale<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
            <xsl:attribute name="size">5</xsl:attribute>
            <xsl:attribute name="maxlength">5</xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
            <xsl:attribute name="unit"> min.</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
