<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="DiagnosticProgress"/>
    </xsl:template>
    <xsl:template match="DiagnosticProgress">
        <xsl:element name="DataArea">
        <xsl:attribute name="exportdata">false</xsl:attribute>
		<xsl:attribute name="progressbar">true</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'true' ">
                <xsl:attribute name="backpagedisplay"><!--XLATESTART-->Avertissement<!--XLATESTOP--></xsl:attribute>
                <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=FromOMA</xsl:attribute>
            </xsl:if>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'false' ">
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->S&#233;lection<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=BatchLogSelect&amp;help=view</xsl:attribute>
            </xsl:if>

            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Progression des diagnostics<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="@overall = 'true'">
                <PromptText>
                    <!--XLATESTART-->				Les tests de diagnostic en cours d'ex&#233;cution sur ce syst&#232;me sont indiqu&#233;s par les barres de progression ci-dessous.				<!--XLATESTOP-->
                    <xsl:if test="@queueempty = 'false'">
                        <!--XLATESTART-->
					Une fois les diagnostics termin&#233;s, si vous s&#233;lectionnez &#171; Ex&#233;cution des tests &#187; ou si vous quittez cette page, les tests que vous avez s&#233;lectionn&#233;s d&#233;marreront.
					<!--XLATESTOP-->
                    </xsl:if>
                </PromptText>
            </xsl:if>
            <ProgressBar uidata="true" frequency="2000">
                <UIData>
                    <xsl:choose>
                        <xsl:when test="@overall = 'true' and @override = 'false' and @queueempty = 'false'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href"/>
                                <xsl:attribute name="display"><!--XLATESTART-->Ex&#233;cution des tests<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@overall = 'false' or @override = 'true'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=true</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->Interrompre<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="@overall = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressBatchLog</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->Afficher les r&#233;sultats<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@queueempty = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressProgress</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->Ex&#233;cution des tests<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:if test="@overall = 'false'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=false"/>
                    </xsl:if>
                    <xsl:if test="@overall = 'true' or @override='true'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateOverallProgressWebPlugin"/>
                    </xsl:if>
                    <ProgressBarList>
                        <xsl:apply-templates select="Device"/>
                    </ProgressBarList>
                </UIData>
            </ProgressBar>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="UIBar">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:attribute name="display"><xsl:value-of select="@name"/> - <xsl:value-of select=".//Test/@name"/></xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
