<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
		<xsl:element name="DataArea">
			<xsl:attribute name="email">true</xsl:attribute>
            <xsl:attribute name="exportdata">false</xsl:attribute>
            <xsl:attribute name="expand">false</xsl:attribute>
            <xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticWelcomeWebPlugin</xsl:attribute>
            <xsl:attribute name="submitdisplay"><!--XLATESTART-->Continuer<!--XLATESTOP--></xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Avertissement des diagnostics<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
			<xsl:if test="./Welcome/DisplayWarningMessage = 'true'">
		            <PromptText>
				          <!--XLATESTART-->
						REMARQUE : <!--XLATESTOP-->Server Administrator <!--XLATESTART-->Diagnostic Service prend en charge des p&#233;riph&#233;riques mat&#233;riels sp&#233;cifiques.
						Reportez-vous au Guide de compatibilit&#233; de Server Administrator pour savoir quel mat&#233;riel est pris en charge par cette version.
						<!--XLATESTOP-->
		            </PromptText>
				<xsl:text>&#xa;</xsl:text>
		            <PromptText>
				          <!--XLATESTART-->
						Cette application s'ex&#233;cute parall&#232;lement aux autres applications 						qui s'ex&#233;cutent sur le serveur test&#233;. L'ex&#233;cution de ces diagnostics augmentera 						la charge du syst&#232;me de mani&#232;re significative et aura un impact sur les performances 						de votre serveur et de toutes les applications en cours d'ex&#233;cution. Si vous ex&#233;cutez des applications critiques 						qui requi&#232;rent une r&#233;ponse rapide ou qui consomment 						des ressources syst&#232;me importantes, veuillez prendre les pr&#233;cautions ad&#233;quates 						avant d'ex&#233;cuter ces diagnostics. Fermez toutes les applications qui ne sont pas essentielles 						et ex&#233;cutez les diagnostics quand le serveur est peu utilis&#233;. 
						<!--XLATESTOP-->
		            </PromptText>
			        <ListData>
			            <xsl:apply-templates select="Welcome/DisplayWarningMessage"/>
			        </ListData>
			</xsl:if>
            <xsl:apply-templates select="Welcome"/>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Welcome">
        <xsl:apply-templates select="DefaultDiagWarning"/>
        <xsl:apply-templates select="SchedulerRanWarning"/>
        <xsl:apply-templates select="DiagDiffWarning"/>
        <xsl:apply-templates select="DiagsRunningWarning"/>
    </xsl:template>
    <xsl:template match="DisplayWarningMessage">
        <xsl:element name="Data">
            <xsl:attribute name="name">SystemAlertValue</xsl:attribute>
            <xsl:attribute name="display"><xsl:text disable-output-escaping="yes">    </xsl:text><!--XLATESTART-->D&#233;sactiver ce message &#224; l'avenir<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DefaultDiagWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
Il n'existe pas de groupe de diagnostics personnalis&#233;s pour ce syst&#232;me.  Cette condition peut indiquer qu'une mise &#224; jour du produit existe avec une prise en charge personnalis&#233;e pour ce syst&#232;me.
<!--XLATESTOP-->
            </xsl:element>
        </xsl:if>
    </xsl:template>
    <xsl:template match="SchedulerRanWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
Un groupe de diagnostics planifi&#233;s s'est ex&#233;cut&#233;.
Veuillez cliquer sur le lien &#171; Historique des r&#233;sultats &#187; du menu pour afficher les r&#233;sultats.
<!--XLATESTOP-->
            </xsl:element>
        </xsl:if>
    </xsl:template>
    <xsl:template match="DiagDiffWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
Diagnostic Service a d&#233;tect&#233; que la configuration de votre syst&#232;me a chang&#233;.
Cliquez sur le lien &#171; Changements de configuration &#187; du menu pour revoir les changements effectu&#233;s sur votre syst&#232;me.
<!--XLATESTOP-->
            </xsl:element>
        </xsl:if>
    </xsl:template>
    <xsl:template match="DiagsRunningWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
Des tests de diagnostic sont en cours d'ex&#233;cution sur ce syst&#232;me. Cliquez sur le bouton &#171; Afficher la progression &#187; pour voir la progression. Sur cette page, vous pouvez aussi interrompre des tests si vous avez les privil&#232;ges d'utilisateur appropri&#233;s. Les tests de diagnostic lanc&#233;s via le planificateur ou l'interface de ligne de commande ne peuvent pas &#234;tre interrompus. 
                <!--XLATESTOP-->
            </xsl:element>
            <CustomButton>
                <xsl:element name="Data">
                    <xsl:attribute name="name">Progress</xsl:attribute>
                    <xsl:attribute name="display"><!--XLATESTART-->Afficher la progression<!--XLATESTOP--></xsl:attribute>
                    <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticOverallProgressWebPlugin</xsl:attribute>
                </xsl:element>
            </CustomButton>
        </xsl:if>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
