<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
	<xsl:element name="DataArea">
		<xsl:attribute name="email">true</xsl:attribute>
		<xsl:attribute name="exportdata">false</xsl:attribute>
		<xsl:attribute name="expandl">false</xsl:attribute>
             <xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticAdvancedSettingsWebPlugin</xsl:attribute>
		<xsl:attribute name="validate">true</xsl:attribute>
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#36984;&#25246;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=AdvSettSelect&amp;help=view</xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#35443;&#32048;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:apply-templates select="AdvancedSettings"/>
            <script>
		function validate() {
			var errorMessage = "";
                        var numeric = "1234567890";

			var nospasses = document.getElementById("NumberOfPasses").value ;
			var mindurationvalue=document.getElementById("MinDuration").value;
			var maxdurationvalue=document.getElementById("MaxDuration").value ;
                        
			if (nospasses.length == 0) {
				errorMessage += /*<!--XLATESTART-->*/"&#12497;&#12473;&#12398;&#25968;&#12399;&#31354;&#30333;&#12395;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;\n" ;/*<!--XLATESTOP-->*/
			}
			else {
				if ( (isNaN(nospasses)) ||  (nospasses &lt; 1) || (nospasses &gt; 999) ){
					errorMessage += /*<!--XLATESTART-->*/"&#12497;&#12473;&#12398;&#25968;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;1&#65374;999&#12414;&#12391;&#12398;&#25972;&#25968;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; nospasses.length ; i++) {
                                             if (numeric.indexOf(nospasses.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"&#12497;&#12473;&#12398;&#25968;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;1&#65374;999&#12414;&#12391;&#12398;&#25972;&#25968;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/ 
				}
			}
			
			if (mindurationvalue.length  == 0)
				errorMessage += /*<!--XLATESTART-->*/"&#26368;&#23569;&#26178;&#38291;&#12399;&#31354;&#30333;&#12395;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;\n" ;/*<!--XLATESTOP-->*/
			else {
				if (isNaN(mindurationvalue) ) 
					errorMessage += /*<!--XLATESTART-->*/"&#26368;&#23569;&#26178;&#38291;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;&#25972;&#25968;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/
				else {
					if (mindurationvalue &lt; 0) 
						errorMessage += /*<!--XLATESTART-->*/"&#26368;&#23569;&#26178;&#38291;&#12395;&#27491;&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/
                                        else {
                                             var error = false ;
                                             for (var i=0 ; i &lt; mindurationvalue.length ; i++) {
                                                  if (numeric.indexOf(mindurationvalue.charAt(i)) == -1) 
						     error = true ;
                                             }
                                             if (error)
					          errorMessage += /*<!--XLATESTART!-->*/"&#26368;&#23569;&#26178;&#38291;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;&#25972;&#25968;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/ 
					}
				}
			}

			if (maxdurationvalue.length == 0)
				errorMessage += /*<!--XLATESTART-->*/"&#26368;&#22823;&#26178;&#38291;&#12399;&#31354;&#30333;&#12395;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;\n" ;/*<!--XLATESTOP-->*/
			else {
				if (isNaN(maxdurationvalue) ) 
					errorMessage += /*<!--XLATESTART-->*/"&#26368;&#22823;&#26178;&#38291;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;&#25972;&#25968;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/
				else {
					if (maxdurationvalue &lt; 0) 
						errorMessage += /*<!--XLATESTART-->*/"&#26368;&#22823;&#26178;&#38291;&#12395;&#27491;&#12398;&#20516;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/
				else {
					if (maxdurationvalue &gt; 16665) 
						errorMessage += /*<!--XLATESTART-->*/"&#26368;&#22823;&#26178;&#38291;&#12398;&#20516;&#12395;&#12399;&#12289;16665 &#20197;&#19979;&#12398;&#25968;&#23383;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/
                                        else {
                                             var error = false ;
                                             for (var i=0 ; i &lt; maxdurationvalue.length ; i++) {
                                                  if (numeric.indexOf(maxdurationvalue.charAt(i)) == -1) 
						     error = true ;
                                             }
                                             if (error)
					          errorMessage += /*<!--XLATESTART!-->*/"&#26368;&#22823;&#26178;&#38291;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;&#25972;&#25968;&#12434;&#20837;&#21147;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;\n";/*<!--XLATESTOP-->*/ 
						}
					}
				}
			}


	

			if (eval(mindurationvalue - maxdurationvalue) &gt; -1 ) 
				errorMessage += /*<!--XLATESTART-->*/"&#26368;&#22823;&#26178;&#38291;&#12399;&#26368;&#23569;&#26178;&#38291;&#12424;&#12426;&#22823;&#12365;&#12356;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;\n";/*<!--XLATESTOP-->*/
			
			if (errorMessage == "") {
				return true ;
			}
			else  {
				alert(errorMessage);
				return false ;
			}
		}
		</script>
        </xsl:element>
    </xsl:template>
    <xsl:template match="AdvancedSettings">
        <ListData>
            <xsl:apply-templates/>
        </ListData>
    </xsl:template>
    <xsl:template match="HaltOnError">
        <xsl:element name="Data">
            <xsl:attribute name="name">HaltOnError</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#12456;&#12521;&#12540;&#26178;&#12395;&#20013;&#27490;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="RunSimultaneously">
        <xsl:element name="Data">
            <xsl:attribute name="name">RunSimultaneously</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#21516;&#26178;&#23455;&#34892;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Quicktest">
        <xsl:element name="Data">
            <xsl:attribute name="name">Quicktest</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#12463;&#12452;&#12483;&#12463;&#12486;&#12473;&#12488;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="NumberOfPasses">
        <xsl:element name="Data">
            <xsl:attribute name="name">NumberOfPasses</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#12497;&#12473;&#12398;&#25968;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="size">3</xsl:attribute>
            <xsl:attribute name="maxlength">3</xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="UserDefinedTimes">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="MinDuration">
        <xsl:element name="Data">
            <xsl:attribute name="name">MinDuration</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#26368;&#23569;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
            <xsl:attribute name="size">5</xsl:attribute>
            <xsl:attribute name="maxlength">5</xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
            <xsl:attribute name="unit"> &#20998;</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="MaxDuration">
        <xsl:element name="Data">
            <xsl:attribute name="name">MaxDuration</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#26368;&#22823;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
            <xsl:attribute name="size">5</xsl:attribute>
            <xsl:attribute name="maxlength">5</xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
            <xsl:attribute name="unit"> &#20998;</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
