<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="DiagnosticProgress"/>
    </xsl:template>
    <xsl:template match="DiagnosticProgress">
        <xsl:element name="DataArea">
            <xsl:attribute name="exportdata">false</xsl:attribute>
		<xsl:attribute name="progressbar">true</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'true' ">
                <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:attribute>
                <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=FromOMA</xsl:attribute>
            </xsl:if>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'false' ">
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#36984;&#25246;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=BatchLogSelect&amp;help=view</xsl:attribute>
            </xsl:if>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#35386;&#26029;&#12398;&#36914;&#34892;&#29366;&#27841;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="@overall = 'true'">
                <PromptText>
                    <!--XLATESTART-->				&#29694;&#22312;&#12371;&#12398;&#12471;&#12473;&#12486;&#12512;&#12391;&#23455;&#34892;&#20013;&#12398;&#35386;&#26029;&#12486;&#12473;&#12488;&#12399;&#12289;&#19979;&#12398;&#12503;&#12525;&#12464;&#12524;&#12473;&#12496;&#12540;&#12395;&#31034;&#12373;&#12428;&#12414;&#12377;&#12290;				<!--XLATESTOP-->
                    <xsl:if test="@queueempty = 'false'">
                        <!--XLATESTART-->
					&#35386;&#26029;&#12398;&#23436;&#20102;&#24460;&#12289;[&#12486;&#12473;&#12488;&#12434;&#23455;&#34892;&#12377;&#12427;] &#12434;&#36984;&#25246;&#12377;&#12427;&#12363;&#12289;&#12414;&#12383;&#12399;&#12371;&#12398;&#12506;&#12540;&#12472;&#12434;&#20986;&#12427;&#12392;&#12289;&#36984;&#25246;&#12375;&#12383;&#12486;&#12473;&#12488;&#12364;&#38283;&#22987;&#12373;&#12428;&#12414;&#12377;&#12290;				<!--XLATESTOP-->
                    </xsl:if>
                </PromptText>
            </xsl:if>
            <ProgressBar uidata="true" frequency="2000">
                <UIData>
                    <xsl:choose>
                        <xsl:when test="@overall = 'true' and @override = 'false' and @queueempty = 'false'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href"/>
                                <xsl:attribute name="display"><!--XLATESTART-->&#12486;&#12473;&#12488;&#12434;&#23455;&#34892;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@overall = 'false' or @override = 'true'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=true</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->&#20013;&#27490;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="@overall = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressBatchLog</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->&#32080;&#26524;&#12398;&#34920;&#31034;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@queueempty = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressProgress</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->&#12486;&#12473;&#12488;&#12434;&#23455;&#34892;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:if test="@overall = 'false'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=false"/>
                    </xsl:if>
                    <xsl:if test="@overall = 'true' or @override='true'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateOverallProgressWebPlugin"/>
                    </xsl:if>
                    <ProgressBarList>
                        <xsl:apply-templates select="Device"/>
                    </ProgressBarList>
                </UIData>
            </ProgressBar>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="UIBar">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:attribute name="display"><xsl:value-of select="@name"/> - <xsl:value-of select=".//Test/@name"/></xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
