<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#12495;&#12540;&#12489;&#12454;&#12455;&#12450;&#35373;&#23450;&#22793;&#26356;&#23653;&#27508;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="DiagnosticResults/Session/Empty">
                <xsl:apply-templates select="DiagnosticResults/Session/Empty"/>
            </xsl:if>
            <xsl:if test="not(DiagnosticResults/Session/Empty)">
               <PromptText>
                <!--XLATESTART-->
              	&#35386;&#26029;&#12469;&#12540;&#12499;&#12473;&#12395;&#12424;&#12387;&#12390;&#12289;&#35069;&#21697;&#12364;&#35373;&#32622;&#12373;&#12428;&#12390;&#12363;&#12425;&#27425;&#12398;&#12471;&#12473;&#12486;&#12512;&#35373;&#23450;&#22793;&#26356;&#12364;&#12354;&#12387;&#12383;&#12371;&#12392;&#12364;&#26908;&#20986;&#12373;&#12428;&#12414;&#12375;&#12383;&#12290; &#36861;&#21152;&#12414;&#12383;&#12399;&#21066;&#38500;&#12373;&#12428;&#12383;&#12487;&#12496;&#12452;&#12473;&#19968;&#35239;&#12399;&#27425;&#12398;&#12392;&#12362;&#12426;&#12391;&#12377;&#12290;
		  <!--XLATESTOP-->
              </PromptText>
              <CustomTable>
                    <xsl:apply-templates select="//Added/Device"/>
                    <xsl:apply-templates select="//Subtracted/Device"/>
                </CustomTable>
            </xsl:if>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12398;&#35500;&#26126;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS &#12398;&#35500;&#26126;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12479;&#12452;&#12512;&#12473;&#12479;&#12531;&#12503;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12398;&#35500;&#26126;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS &#12398;&#35500;&#26126;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12479;&#12452;&#12512;&#12473;&#12479;&#12531;&#12503;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>

        <TableData>
            <Row>
                <xsl:element name="Data">
                    <xsl:attribute name="value"><!--XLATESTART-->&#35373;&#23450;&#30456;&#36949;&#24773;&#22577;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute>
                </xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
