<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
					<xsl:element name="DataArea">
						<xsl:attribute name="expand">true</xsl:attribute>
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#36984;&#25246;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=BatchLogSelect&amp;help=view</xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#35386;&#26029;&#32080;&#26524;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <CustomTable>
                <xsl:apply-templates select="DiagnosticResults"/>
            </CustomTable>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults">
        <xsl:apply-templates select="Device"/>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select=".//Result/@timestamp"/><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:choose>
                <xsl:when test="contains(.//Result/@type, '2')"><xsl:attribute name="status">2</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '0')"><xsl:attribute name="status">4</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '1')"><xsl:attribute name="status">6</xsl:attribute></xsl:when>
            </xsl:choose>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select=".//Test/@name"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12487;&#12496;&#12452;&#12473;&#12398;&#35500;&#26126;:<!--XLATESTOP--></xsl:element>
	              <xsl:if test="not(string-length(@description))">
	                    <xsl:element name="Data"><!--XLATESTART-->&#24773;&#22577;&#12394;&#12375;<!--XLATESTOP--></xsl:element>
			</xsl:if>
			<xsl:if test="string-length(@description)">
	                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
			</xsl:if>
		   </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS &#12398;&#35500;&#26126;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12479;&#12452;&#12512;&#12473;&#12479;&#12531;&#12503;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@timestamp"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#12486;&#12473;&#12488;&#32080;&#26524;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data">
					<xsl:if test=".//Result/@type = '0'"><!--XLATESTART-->&#22833;&#25943;<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '1'"><!--XLATESTART-->&#20013;&#27490;<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '2'"><!--XLATESTART-->&#25104;&#21151;<!--XLATESTOP--></xsl:if>
                    </xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#32080;&#26524;&#12398;&#35443;&#32048;:<!--XLATESTOP--></xsl:element>
                     <xsl:element name="Data">
				<xsl:if test="not(.//Result/ResultEvent)"><!--XLATESTART-->&#12486;&#12473;&#12488;&#25805;&#20316;&#12399;&#27491;&#24120;&#12395;&#23436;&#20102;&#12375;&#12414;&#12375;&#12383;&#12290;<!--XLATESTOP--></xsl:if>
				<xsl:if test=".//Result/ResultEvent">
					<ValueList><xsl:for-each select=".//Result/ResultEvent"><value><xsl:value-of select="@eventstring" /></value></xsl:for-each></ValueList>
				</xsl:if>
                     </xsl:element>
              </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35201;&#27714;&#12373;&#12428;&#12383;&#12497;&#12473;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@totalpasses"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#23455;&#34892;&#12373;&#12428;&#12383;&#12497;&#12473;:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data">
                        <xsl:value-of select=".//Result/@completedpasses"/>
                    </xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>

