<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="Session/Differences"/>
        <xsl:apply-templates select="Differences"/>
    </xsl:template>
    <xsl:template match="Session/Differences">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Hardware Configuration Changes<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
                <xsl:apply-templates select="Empty"/>
        </DataArea>
    </xsl:template>
    <xsl:template match="Differences">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin" validate="false" submitdisplay="Acknowledge" expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Hardware Configuration Changes<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <PromptText>
                <!--XLATESTART-->
		The Diagnostic Service has detected that your system configuration has changed.	 The System configuration changes may have occurred either because devices were added or removed from the 
		system or the diagnostic service software was upgraded enabling additional hardware detection and diagnostic capabilities.
	
		The devices that have been added or removed are listed below.  Click the 'Acknowledge' button to accept the changes.

		<!--XLATESTOP-->
            </PromptText>
            <CustomTable>
                <xsl:apply-templates select="Added/Device"/>
                <xsl:apply-templates select="Subtracted/Device"/>
            </CustomTable>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Device Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Timestamp:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Device Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Timestamp:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data">
                    <xsl:attribute name="value"><!--XLATESTART-->No Hardware Configuration Changes Detected<!--XLATESTOP--></xsl:attribute>
                </xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
