<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="DiagnosticProgress"/>
    </xsl:template>
    <xsl:template match="DiagnosticProgress">
        <DataArea progressbar="true" email="false" expand="false" exportdata="false">
            <ProgressBar progressdata="true">
                <xsl:element name="ProgressData">
                    <xsl:attribute name="iscomplete"><xsl:value-of select="./AllComplete"/></xsl:attribute>
                    <xsl:apply-templates select="Device"/>
                </xsl:element>
            </ProgressBar>
        </DataArea>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="DataBar">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:attribute name="percentcomplete"><xsl:value-of select=".//Result/@percentcomplete"/></xsl:attribute>
            <xsl:attribute name="execstatus"><xsl:value-of select=".//Result/@type"/></xsl:attribute>
            <xsl:attribute name="allpassesdone"><xsl:value-of select=".//Result/@iscomplete"/></xsl:attribute>
            <xsl:variable name="completed" select="number(.//Result/@completedpasses) + 1"/>
            <xsl:variable name="total" select="number(.//Result/@totalpasses)"/>
            <xsl:choose>
                <xsl:when test="$completed > $total">
                    <xsl:attribute name="passnum"><xsl:value-of select=".//Result/@completedpasses"/></xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="passnum"><xsl:value-of select="$completed"/></xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:attribute name="totalpasses"><xsl:value-of select=".//Result/@totalpasses"/></xsl:attribute>
            <xsl:for-each select=".//ResultEvent">
                <xsl:attribute name="message"><xsl:value-of select="@eventstring"/></xsl:attribute>
            </xsl:for-each>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
