<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:element name="DataArea">
            <xsl:attribute name="email">true</xsl:attribute>
            <xsl:attribute name="exportdata">false</xsl:attribute>
            <xsl:attribute name="expand">false</xsl:attribute>
            <xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticWelcomeWebPlugin</xsl:attribute>
            <xsl:attribute name="submitdisplay"><!--XLATESTART-->Continue<!--XLATESTOP--></xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Diagnostic Warning<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
			<xsl:if test="./Welcome/DisplayWarningMessage = 'true'">
		            <PromptText>
				          <!--XLATESTART-->
						NOTE: The <!--XLATESTOP-->Server Administrator Diagnostic Service <!--XLATESTART-->supports specific hardware devices.
						Please refer to the Server Administrator Compatibility Guide for a list of supported hardware for this release.
						<!--XLATESTOP-->
		            </PromptText>
				<xsl:text>&#xa;</xsl:text>
		            <PromptText>
				          <!--XLATESTART-->
						This application runs concurrently with all other applications 
						running on the server under test. Running these diagnostics will 
						cause significant additional system load that will impact the performance 
						of your server and all running applications. If you are running 
						critical applications that require rapid response, or consume significant 
						system resources, please take appropriate precautions before 
						running these diagnostics. Close all non-essential applications 
						and run diagnostics only during non-peak hours of server use. 
						<!--XLATESTOP-->
		            </PromptText>
			        <ListData>
			            <xsl:apply-templates select="Welcome/DisplayWarningMessage"/>
			        </ListData>
			</xsl:if>
            <xsl:apply-templates select="Welcome"/>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Welcome">
        <xsl:apply-templates select="DefaultDiagWarning"/>
        <xsl:apply-templates select="SchedulerRanWarning"/>
        <xsl:apply-templates select="DiagDiffWarning"/>
        <xsl:apply-templates select="DiagsRunningWarning"/>
    </xsl:template>
    <xsl:template match="DisplayWarningMessage">
        <xsl:element name="Data">
            <xsl:attribute name="name">SystemAlertValue</xsl:attribute>
            <xsl:attribute name="display"><xsl:text disable-output-escaping="yes">    </xsl:text><!--XLATESTART-->Disable this message in the future<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DefaultDiagWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
A set of customized diagnostics does not exist for this system.  This condition may indicate that a product update
exists with custom support for this system.
<!--XLATESTOP-->
            </xsl:element>
        </xsl:if>
    </xsl:template>
    <xsl:template match="SchedulerRanWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
A set of diagnostics that was scheduled to run has completed.
Please click on the 'Result History' link in the menu to view the results.
<!--XLATESTOP-->
            </xsl:element>
        </xsl:if>
    </xsl:template>
    <xsl:template match="DiagDiffWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
The Diagnostic Service has detected that your system configuration has changed.
Please click on the 'Configuration Changes' link in the menu to review the changes to your system.
<!--XLATESTOP-->
            </xsl:element>
        </xsl:if>
    </xsl:template>
    <xsl:template match="DiagsRunningWarning">
        <xsl:if test=". = 'true'">
            <xsl:element name="CustomMessage">
                <xsl:attribute name="status">3</xsl:attribute>
                <!--XLATESTART-->
Diagnostic tests are currently running on this system. Click the 'View Progress' button to monitor progress. From this page, you also can abort testing if you have the proper user privileges. Diagnostic tests initiated through the scheduler or command line interface cannot be aborted. 
                <!--XLATESTOP-->
            </xsl:element>
            <CustomButton>
                <xsl:element name="Data">
                    <xsl:attribute name="name">Progress</xsl:attribute>
                    <xsl:attribute name="display"><!--XLATESTART-->View Progress<!--XLATESTOP--></xsl:attribute>
                    <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticOverallProgressWebPlugin</xsl:attribute>
                </xsl:element>
            </CustomButton>
        </xsl:if>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
