<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Hardware Configuration Change History<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="DiagnosticResults/Session/Empty">
                <xsl:apply-templates select="DiagnosticResults/Session/Empty"/>
            </xsl:if>
            <xsl:if test="not(DiagnosticResults/Session/Empty)">
               <PromptText>
                <!--XLATESTART-->
              	Diagnostic Service has detected the following system configuration changes since the product was installed. The following is the list of devices
		       that were either added or removed.
		  <!--XLATESTOP-->
              </PromptText>
              <CustomTable>
                    <xsl:apply-templates select="//Added/Device"/>
                    <xsl:apply-templates select="//Subtracted/Device"/>
                </CustomTable>
            </xsl:if>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Device Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Timestamp:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Device Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->HW/OS Description:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Timestamp:<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Refresh<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data">
                    <xsl:attribute name="value"><!--XLATESTART-->No Configuration Difference Information Available<!--XLATESTOP--></xsl:attribute>
                </xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
