<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/OMA">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="DiagnosticLearnMore">
		<html>
			<head>
				<title>
					<!--XLATESTART-->&#35786;&#26029;&#35814;&#32454;&#20449;&#24687;<!--XLATESTOP-->
				</title>
				<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css"/>
				<xsl:if test="/OMA/@skin != ''">
					<link rel="stylesheet" type="text/css">
						<xsl:attribute name="href">/oma/skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
					</link>
					<xsl:if test="/OMA/@language != ''">
						<link rel="stylesheet" type="text/css">
							<xsl:attribute name="href">/oma/skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if><xsl:value-of select="/OMA/@language"/>/scheme.css</xsl:attribute>
						</link>
						<xsl:if test="/OMA/@country != ''">
							<link rel="stylesheet" type="text/css">
								<xsl:attribute name="href">/oma/skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if><xsl:value-of select="/OMA/@language"/>/<xsl:value-of select="/OMA/@country"/>/scheme.css</xsl:attribute>
							</link>
						</xsl:if>
					</xsl:if>
				</xsl:if>
			</head>
			<body>
				<br/>
				<table cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td width="15">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
						</td>
						<td>
							<a name="top">
								<h3>
									<span class="data-area-page-title">
										<!--XLATESTART-->&#35786;&#26029;&#35814;&#32454;&#20449;&#24687;<!--XLATESTOP-->
									</span>
								</h3>
							</a>
						</td>
						<td width="15"/>
					</tr>
				</table>
				<br/>
				<table border="0" cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td width="14">
							<img alt="" src="/oma/images/blank.gif" width="14" height="1"/>
						</td>
						<td class="data-area-jump-bar" align="left" width="100%">
							<table border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td align="center" valign="middle" width="20">
										<img alt="" src="/oldiags/images/cbullet.gif" height="10" width="20" align="absmiddle"/>
									</td>
									<xsl:for-each select="./DiagnosticHelp/DiagnosticName">
										<td>
											<xsl:element name="a">
												<xsl:attribute name="href">#<xsl:value-of select="../@vendorname"/></xsl:attribute>
												<xsl:attribute name="class">data-area-jump-bar</xsl:attribute>
												<xsl:value-of select="."/>
											</xsl:element>
										</td>
										<td align="center" valign="middle" width="20">
											<img alt="" src="/oldiags/images/cbullet.gif" height="10" width="20" align="absmiddle"/>
										</td>
									</xsl:for-each>
								</tr>
							</table>
						</td>
						<td width="14">
							<img alt="" src="/oma/images/blank.gif" width="14" height="1"/>
						</td>
					</tr>
				</table>
				<br/>
				<xsl:apply-templates select="DiagnosticHelp"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="DiagnosticHelp">
		<xsl:apply-templates select="DiagnosticName"/>
		<xsl:apply-templates select="DiagnosticSummary"/>
		<xsl:apply-templates select="Caution"/>
		<xsl:apply-templates select="Section"/>
		<xsl:apply-templates select="IssueTitle"/>
		<xsl:apply-templates select="Issue"/>
		<xsl:apply-templates select="CopyrightText"/>

		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
						<td style="width: 15px">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<div>[<a href="#top" class="data-area-back-to-top">
							<!--XLATESTART-->&#36820;&#22238;&#39029;&#39318;<!--XLATESTOP-->
						</a>]</div>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="DiagnosticName">
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="15">
					<img border="0" width="1" height="1" src=""/>
				</td>
				<td height="2" class="data-area-separator">
					<img border="0" width="1" height="1" src=""/>
				</td>
				<td width="15">
					<img border="0" width="1" height="1" src=""/>
				</td>
			</tr>
			<tr>
				<td width="15">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="right">
					<xsl:element name="a">
						<xsl:attribute name="name"><xsl:value-of select="../@vendorname"/></xsl:attribute>
					</xsl:element>
					<h3>
						<span class="data-area-summary-section-header">
							<xsl:value-of select="."/>
						</span>
					</h3>
				</td>
				<td width="15">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="DiagnosticSummary">
		<table cellpadding="1" cellspacing="1" border="0">
			<tr>
						<td style="width: 15px">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top">
					<xsl:value-of select="."/>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="Section">
		<xsl:if test="./SectionName">
			<table cellpadding="1" cellspacing="1" border="0">
				<tr>
						<td style="width: 15px">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
					</td>
					<td align="left" valign="top">
						<h3>
							<span class="data-area-sub-header">
								<xsl:value-of select="./SectionName"/>
							</span>
						</h3>
					</td>
				</tr>
			</table>
			<br/>
		</xsl:if>
		<xsl:apply-templates select="Test"/>
		<xsl:apply-templates select="Note"/>
	</xsl:template>
	<xsl:template match="Test">
		<table cellpadding="1" cellspacing="1" border="0">
			<tr>
						<td style="width: 15px">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top">
					<h4>
						<span class="data-area-sub-header">
							<xsl:value-of select="./TestName"/>
						</span>
					</h4>
				</td>
			</tr>
			<tr>
				<td style="width: 15px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td align="left" valign="top">
					<xsl:value-of select="./TestDescription"/>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	
	<xsl:template match="Note">
		<table>
			<tr>
				<td align="left" valign="top">
					<span style="font-style: italic;">
						<img src="/help/oldiags/en/note.gif" width="28" height="21" alt="note.gif" />
					</span>
				</td>
				<td align="left" valign="top">
					<p>
						<span style="font-weight: bold; font-style: italic;">
							<!--XLATESTART-->&#27880;&#65306;<!--XLATESTOP-->
						</span>
						<span style="font-style: italic;">
							<xsl:value-of select="."/>
						</span>
					</p>
				</td>
			</tr>
		</table>
			<br/>
	</xsl:template>

	<xsl:template match="Caution">
		<table>
			<tr>
			<td align="left" valign="top">
				<img src="/help/oldiags/en/caution.gif" width="28" height="21" alt="caution.gif (709 bytes)"/>
			</td>
			<td align="left" valign="top">
				<p>
					<span style="font-weight: bold;"><!--XLATESTART-->&#35686;&#31034;&#65306;<!--XLATESTOP--></span><span style="font-style: bold;"><xsl:value-of select="."/></span>
				</p>
			</td>
			</tr>
		</table>
			<br/>
	</xsl:template>

	<xsl:template match="IssueTitle">
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td style="width: 15px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<span class="data-area-sub-header">
						<xsl:value-of select="."/>
					</span>
				</td>
			</tr>
		</table>
                <br/>
	</xsl:template>
	<xsl:template match="Issue">
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td style="width: 15px">
					<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<xsl:value-of select="."/>
				</td>
			</tr>
		</table>
                <br/>
	</xsl:template>

	<xsl:template match="CopyrightText">
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
						<td style="width: 15px">
							<xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text>
				</td>
				<td>
					<span style="font-style:italic;">
						<!--XLATESTART--> &#29256;&#26435;&#25152;&#26377;  &#169;   <!--XLATESTOP-->
						<xsl:value-of select="."/>
					</span>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
