<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:element name="DataArea">
           <xsl:attribute name="email">true</xsl:attribute>
            <xsl:attribute name="exportdata">false</xsl:attribute>
            <xsl:attribute name="expandl">false</xsl:attribute>
            <xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticAdvancedSettingsWebPlugin</xsl:attribute>
            <xsl:attribute name="validate">true</xsl:attribute>
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#36873;&#25321;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=AdvSettSelect&amp;help=view</xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#39640;&#32423;&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:apply-templates select="AdvancedSettings"/>
            <script>
		function validate() {
			var errorMessage = "";
                        var numeric = "1234567890";

			var nospasses = document.getElementById("NumberOfPasses").value ;
			var mindurationvalue=document.getElementById("MinDuration").value;
			var maxdurationvalue=document.getElementById("MaxDuration").value ;
                        
			if (nospasses.length == 0) {
				errorMessage += /*<!--XLATESTART-->*/"&#36890;&#36807;&#27425;&#25968;&#19981;&#24471;&#20026;&#31354;&#12290; \n" ;/*<!--XLATESTOP-->*/
			}
			else {
				if ( (isNaN(nospasses)) ||  (nospasses &lt; 1) || (nospasses &gt; 999) ){
					errorMessage += /*<!--XLATESTART-->*/"&#26080;&#25928;&#36890;&#36807;&#27425;&#25968;&#12290;&#35831;&#36755;&#20837;&#20171;&#20110; 1 &#21644; 999 &#20043;&#38388;&#30340;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; nospasses.length ; i++) {
                                             if (numeric.indexOf(nospasses.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"&#26080;&#25928;&#36890;&#36807;&#27425;&#25968;&#12290; &#35831;&#36755;&#20837;&#20171;&#20110; 1 &#21644; 999 &#20043;&#38388;&#30340;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/ 
				}
			}
			
			if (mindurationvalue.length  == 0)
				errorMessage += /*<!--XLATESTART-->*/"&#26368;&#30701;&#26102;&#38388;&#19981;&#33021;&#20026;&#31354;&#12290;\n" ;/*<!--XLATESTOP-->*/
			else {
				if (isNaN(mindurationvalue) ) 
					errorMessage += /*<!--XLATESTART-->+*/"&#26368;&#30701;&#26102;&#38388;&#26080;&#25928;&#12290; &#35831;&#36755;&#20837;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/
				else {
					if (mindurationvalue &lt; 0) 
						errorMessage += /*<!--XLATESTART-->*/"&#35831;&#32473;&#26368;&#30701;&#26102;&#38388;&#36755;&#20837;&#19968;&#20010;&#27491;&#25968;&#12290;\n";/*<!--XLATESTOP-->*/
                                        else {
                                             var error = false ;
                                             for (var i=0 ; i &lt; mindurationvalue.length ; i++) {
                                                  if (numeric.indexOf(mindurationvalue.charAt(i)) == -1) 
						     error = true ;
                                             }
                                             if (error)
					          errorMessage += /*<!--XLATESTART!-->+*/"&#26368;&#30701;&#26102;&#38388;&#26080;&#25928;&#12290; &#35831;&#36755;&#20837;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/ 
					}
				}
			}
			if (maxdurationvalue.length  == 0)
				errorMessage += /*<!--XLATESTART-->*/"&#26368;&#38271;&#26102;&#38388;&#19981;&#33021;&#20026;&#31354;&#12290;\n" ;/*<!--XLATESTOP-->*/
			else {
				if (isNaN(maxdurationvalue) ) 
					errorMessage += /*<!--XLATESTART-->*/"&#26368;&#38271;&#26102;&#38388;&#26080;&#25928;&#12290; &#35831;&#36755;&#20837;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/
				else {
					if (maxdurationvalue &lt; 0) 
						errorMessage += /*<!--XLATESTART-->*/"&#35831;&#32473;&#26368;&#38271;&#26102;&#38388;&#36755;&#20837;&#19968;&#20010;&#27491;&#25968;&#12290;\n";/*<!--XLATESTOP-->*/
				else {
					if (maxdurationvalue &gt; 16665) 
						errorMessage += /*<!--XLATESTART-->*/"&#35831;&#32473;&#26368;&#38271;&#26102;&#38388;&#36755;&#20837;&#19968;&#20010;&#23567;&#20110;&#25110;&#31561;&#20110; 16665 &#30340;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/
                                        else {
                                             var error = false ;
                                             for (var i=0 ; i &lt; maxdurationvalue.length ; i++) {
                                                  if (numeric.indexOf(maxdurationvalue.charAt(i)) == -1) 
						     error = true ;
                                             }
                                             if (error)
					          errorMessage += /*<!--XLATESTART!-->*/"&#26368;&#38271;&#26102;&#38388;&#26080;&#25928;&#12290; &#35831;&#36755;&#20837;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/ 
						}
					}
				}
			}


	

			if (eval(mindurationvalue - maxdurationvalue) &gt; -1 ) 
				errorMessage += /*<!--XLATESTART-->*/"&#26368;&#38271;&#26102;&#38388;&#24212;&#35813;&#22823;&#20110;&#26368;&#30701;&#26102;&#38388;&#12290;\n";/*<!--XLATESTOP-->*/
			
			if (errorMessage == "") {
				return true ;
			}
			else  {
				alert(errorMessage);
				return false ;
			}
		}
		</script>
        </xsl:element>
    </xsl:template>
    <xsl:template match="AdvancedSettings">
        <ListData>
            <xsl:apply-templates/>
        </ListData>
    </xsl:template>
    <xsl:template match="HaltOnError">
        <xsl:element name="Data">
            <xsl:attribute name="name">HaltOnError</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#36935;&#38169;&#32456;&#27490;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="RunSimultaneously">
        <xsl:element name="Data">
            <xsl:attribute name="name">RunSimultaneously</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#21516;&#26102;&#36816;&#34892;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Quicktest">
        <xsl:element name="Data">
            <xsl:attribute name="name">Quicktest</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#24555;&#36895;&#26816;&#27979;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="NumberOfPasses">
        <xsl:element name="Data">
            <xsl:attribute name="name">NumberOfPasses</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#36890;&#36807;&#27425;&#25968;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="size">3</xsl:attribute>
            <xsl:attribute name="maxlength">3</xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="UserDefinedTimes">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="MinDuration">
        <xsl:element name="Data">
            <xsl:attribute name="name">MinDuration</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#26368;&#30701;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
            <xsl:attribute name="size">5</xsl:attribute>
            <xsl:attribute name="maxlength">5</xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
            <xsl:attribute name="unit">&#20998;&#38047;</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="MaxDuration">
        <xsl:element name="Data">
            <xsl:attribute name="name">MaxDuration</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#26368;&#38271;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
            <xsl:attribute name="size">5</xsl:attribute>
            <xsl:attribute name="maxlength">5</xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
            <xsl:attribute name="unit">&#20998;&#38047;</xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
