<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticSettingsWebPlugin" validate="true" email="true" expand="false" exportdata="false">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#24212;&#29992;&#31243;&#24207;&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:apply-templates select="AppSettings"/>
            <script>
		function validate() {
			var errorMessage = "";
                        var numeric = "1234567890";

			var resulthistory = document.getElementById("ResultHistoryValue").value ;
			var diffhistory = document.getElementById("DiffHistoryValue").value;
                        
			if (resulthistory.length == 0) 
				errorMessage += /*<!--XLATESTART-->*/"&#35786;&#26029;&#32467;&#26524;&#21382;&#21490;&#35760;&#24405;&#20540;&#19981;&#24471;&#20026;&#31354;&#12290;\n" ;/*<!--XLATESTOP-->*/
			else {
				if ( (isNaN(resulthistory)) ||  (resulthistory &lt; 1) || (resulthistory &gt; 100) ){
					errorMessage += /*<!--XLATESTART-->*/"&#35786;&#26029;&#32467;&#26524;&#21382;&#21490;&#25991;&#20214;&#30340;&#22823;&#23567;&#26080;&#25928;&#12290;&#35831;&#36755;&#20837; 1 &#21644; 100 &#20043;&#38388;&#30340;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; resulthistory.length ; i++) {
                                             if (numeric.indexOf(resulthistory.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"&#35786;&#26029;&#32467;&#26524;&#21382;&#21490;&#25991;&#20214;&#30340;&#22823;&#23567;&#26080;&#25928;&#12290; &#35831;&#36755;&#20837; 1 &#21644; 100 &#20043;&#38388;&#30340;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/ 
				}
			}
			
			if (diffhistory.length == 0) 
				errorMessage += /*<!--XLATESTART-->*/"&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;&#21382;&#21490;&#35760;&#24405;&#20540;&#19981;&#24471;&#20026;&#31354;&#12290;\n" ;/*<!--XLATESTOP-->*/
			else {
				if ( (isNaN(diffhistory)) ||  (diffhistory &lt; 1) || (diffhistory &gt; 100) ){
					errorMessage += /*<!--XLATESTART-->*/"&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;&#21382;&#21490;&#35760;&#24405;&#25991;&#20214;&#30340;&#22823;&#23567;&#26080;&#25928;&#12290;&#35831;&#36755;&#20837; 1 &#21644; 100 &#20043;&#38388;&#30340;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/
				}
                                else {
                                        var error = false ;
                                        for (var i=0 ; i &lt; diffhistory.length ; i++) {
                                             if (numeric.indexOf(diffhistory.charAt(i)) == -1) 
						error = true ;
                                        }
                                        if (error)
					    errorMessage += /*<!--XLATESTART-->*/"&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;&#21382;&#21490;&#35760;&#24405;&#25991;&#20214;&#30340;&#22823;&#23567;&#26080;&#25928;&#12290; &#35831;&#36755;&#20837; 1 &#21644; 100 &#20043;&#38388;&#30340;&#25972;&#25968;&#20540;&#12290;\n";/*<!--XLATESTOP-->*/ 
				}
			}
			if (errorMessage == "") 
				return true;
			else {
				alert(errorMessage);
				return false;
			}
		}
		</script>
        </DataArea>
    </xsl:template>
    <xsl:template match="AppSettings">
        <TableData>
            <Header>
                <Data>
                    <xsl:attribute name="value"><!--XLATESTART-->&#26085;&#24535;&#25991;&#20214;<!--XLATESTOP--></xsl:attribute>
                    <xsl:attribute name="display">Logfile</xsl:attribute>
                </Data>
                <Data>
                    <xsl:attribute name="value"><!--XLATESTART-->&#26368;&#22823;&#25991;&#20214;&#22823;&#23567;<!--XLATESTOP--></xsl:attribute>
                    <xsl:attribute name="display">MaxSize</xsl:attribute>
                </Data>
            </Header>
            <xsl:apply-templates select="LogFileSetting"/>
        </TableData>
        <ListData>
            <xsl:apply-templates select="SystemAlertSetting"/>
            <xsl:apply-templates select="TestAlertSettings"/>
        </ListData>
    </xsl:template>
    <xsl:template match="LogFileSetting">
        <Row>
            <xsl:choose>
                <xsl:when test="Type = 'History'">
                    <xsl:element name="Data">
                        <xsl:attribute name="value"><!--XLATESTART-->&#35786;&#26029;&#32467;&#26524;&#21382;&#21490;&#35760;&#24405;<!--XLATESTOP--></xsl:attribute>
                        <xsl:attribute name="display">ResultHistoryValue</xsl:attribute>
                    </xsl:element>
                    <xsl:element name="Data">
                        <xsl:attribute name="name">ResultHistoryValue</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
			    <xsl:attribute name="size">3</xsl:attribute> 
			    <xsl:attribute name="maxlength">3</xsl:attribute> 
                        <xsl:attribute name="unit"><xsl:value-of select="Size/@unit"/></xsl:attribute>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:element name="Data">
                        <xsl:attribute name="value"><!--XLATESTART-->&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;&#21382;&#21490;&#35760;&#24405;<!--XLATESTOP--></xsl:attribute>
                        <xsl:attribute name="display">DiffHistoryValue</xsl:attribute>
                    </xsl:element>
                    <xsl:element name="Data">
                        <xsl:attribute name="name">DiffHistoryValue</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="Size"/></xsl:attribute>
                        <xsl:attribute name="type">editbox</xsl:attribute>
			    <xsl:attribute name="size">3</xsl:attribute> 
			    <xsl:attribute name="maxlength">3</xsl:attribute> 
                        <xsl:attribute name="unit"><xsl:value-of select="Size/@unit"/></xsl:attribute>
                    </xsl:element>
                </xsl:otherwise>
            </xsl:choose>
        </Row>
    </xsl:template>
    <xsl:template match="SystemAlertSetting">
        <xsl:element name="Data">
            <xsl:attribute name="name">SystemAlertValue</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#26174;&#31034;&#24212;&#29992;&#31243;&#24207;&#35686;&#21578;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="TestAlertSettings">
        <xsl:element name="Data">
            <xsl:attribute name="name">TestAlertsValue</xsl:attribute>
            <xsl:attribute name="display"><!--XLATESTART-->&#26174;&#31034;&#26816;&#27979;&#35686;&#21578;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">0</xsl:attribute>
            <xsl:choose>
                <xsl:when test=". ='true'">
                    <xsl:attribute name="state">1</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="state">0</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>

