<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="Session/Differences"/>
        <xsl:apply-templates select="Differences"/>
    </xsl:template>
    <xsl:template match="Session/Differences">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
                <xsl:apply-templates select="Empty"/>
        </DataArea>
    </xsl:template>
    <xsl:template match="Differences">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin" validate="false" submitdisplay="&#30830;&#35748;" expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <PromptText>
                <!--XLATESTART-->
		&#35786;&#26029;&#26381;&#21153;&#26816;&#27979;&#21040;&#33258;&#19978;&#27425;&#36816;&#34892;&#35786;&#26029;&#31243;&#24207;&#20197;&#26469;&#24050;&#26356;&#25913;&#36807;&#31995;&#32479;&#37197;&#32622;&#12290; 
		&#20197;&#19979;&#21407;&#22240;&#20250;&#20351;&#31995;&#32479;&#37197;&#32622;&#26356;&#25913;&#65306;&#31995;&#32479;&#20013;&#28155;&#21152;&#25110;&#21368;&#19979;&#35774;&#22791;&#65292; 
		&#35786;&#26029;&#26381;&#21153;&#36719;&#20214;&#36827;&#34892;&#21319;&#32423;&#65292;&#20174;&#32780;&#20801;&#35768;&#25191;&#34892;&#20854;&#23427;&#30828;&#20214;&#26816;&#27979;&#21644;&#35786;&#26029;&#21151;&#33021;&#12290;
	
		&#28155;&#21152;&#25110;&#21368;&#19979;&#30340;&#35774;&#22791;&#22914;&#19979;&#25152;&#21015;&#12290;  &#21333;&#20987;&#30830;&#35748;&#25353;&#38062;&#21487;&#25509;&#21463;&#26356;&#25913;&#12290;

		<!--XLATESTOP-->
            </PromptText>
            <CustomTable>
                <xsl:apply-templates select="Added/Device"/>
                <xsl:apply-templates select="Subtracted/Device"/>
            </CustomTable>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35774;&#22791;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#30828;&#20214;&#25110;&#25805;&#20316;&#31995;&#32479;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#26102;&#38388;&#25139;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35774;&#22791;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#30828;&#20214;&#25110;&#25805;&#20316;&#31995;&#32479;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#26102;&#38388;&#25139;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Empty">
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</CustomButton>

        <TableData>
            <Row>
                <xsl:element name="Data">
                    <xsl:attribute name="value"><!--XLATESTART-->&#26410;&#26816;&#27979;&#21040;&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;<!--XLATESTOP--></xsl:attribute>
                </xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
