<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="DiagnosticProgress"/>
    </xsl:template>
    <xsl:template match="DiagnosticProgress">
        <xsl:element name="DataArea">
            <xsl:attribute name="exportdata">false</xsl:attribute>
					<xsl:attribute name="progressbar">true</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'true' ">
                <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35686;&#21578;<!--XLATESTOP--></xsl:attribute>
                <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=FromOMA</xsl:attribute>
            </xsl:if>
            <xsl:if test="@overall = 'true' and @queueempty = 'true' and @alert = 'false' ">
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#36873;&#25321;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=BatchLogSelect&amp;help=view</xsl:attribute>
            </xsl:if>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#35786;&#26029;&#31243;&#24207;&#36827;&#31243;<!--XLATESTOP--></xsl:attribute>            </PageTitle>
            <xsl:if test="@overall = 'true'">
                <PromptText>
                    <!--XLATESTART-->				&#26412;&#31995;&#32479;&#19978;&#24403;&#21069;&#36816;&#34892;&#30340;&#35786;&#26029;&#27979;&#35797;&#30001;&#20197;&#19979;&#30340;&#36827;&#24230;&#26639;&#34920;&#31034;&#12290;				<!--XLATESTOP-->
                    <xsl:if test="@queueempty = 'false'">
                        <!--XLATESTART-->
					&#24403;&#36825;&#20123;&#35786;&#26029;&#31243;&#24207;&#23436;&#25104;&#21518;&#65292;&#22914;&#26524;&#36873;&#25321;&#8220;&#36816;&#34892;&#26816;&#27979;&#8221;&#25110;&#20445;&#30041;&#27492;&#39029;&#38754;&#65292;&#37027;&#20123;&#36873;&#22909;&#30340;&#26816;&#27979;&#23558;&#24320;&#22987;&#36816;&#34892;&#12290;
					<!--XLATESTOP-->
                    </xsl:if>
                </PromptText>
            </xsl:if>
            <ProgressBar uidata="true" frequency="2000">
                <UIData>
                    <xsl:choose>
                        <xsl:when test="@overall = 'true' and @override = 'false' and @queueempty = 'false'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href"/>
                                <xsl:attribute name="display"><!--XLATESTART-->&#36816;&#34892;&#27979;&#35797;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@overall = 'false' or @override = 'true'">
                            <xsl:element name="InterruptAction">
                                <xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=true</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->&#24322;&#24120;&#20013;&#26029;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="@overall = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressBatchLog</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->&#26597;&#30475;&#32467;&#26524;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                        <xsl:when test="@queueempty = 'false'">
                            <xsl:element name="Result">
                                <xsl:attribute name="href">/servlet/DiagDispatch?transition=ProgressProgress</xsl:attribute>
                                <xsl:attribute name="display"><!--XLATESTART-->&#36816;&#34892;&#27979;&#35797;<!--XLATESTOP--></xsl:attribute>
                            </xsl:element>
                        </xsl:when>
                    </xsl:choose>
                    <xsl:if test="@overall = 'false'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateProgressWebPlugin&amp;abort=false"/>
                    </xsl:if>
                    <xsl:if test="@overall = 'true' or @override='true'">
                        <Update href="/servlet/DataArea?plugin=com.dell.omaha.webplugins.DiagnosticUpdateOverallProgressWebPlugin"/>
                    </xsl:if>
                    <ProgressBarList>
                        <xsl:apply-templates select="Device"/>
                    </ProgressBarList>
                </UIData>
            </ProgressBar>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="UIBar">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:attribute name="display"><xsl:value-of select="@name"/> - <xsl:value-of select=".//Test/@name"/></xsl:attribute>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
