<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#30828;&#20214;&#37197;&#32622;&#26356;&#25913;&#21382;&#21490;&#35760;&#24405;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <xsl:if test="DiagnosticResults/Session/Empty">
                <xsl:apply-templates select="DiagnosticResults/Session/Empty"/>
            </xsl:if>
            <xsl:if test="not(DiagnosticResults/Session/Empty)">
               <PromptText>
                <!--XLATESTART-->
              	&#35786;&#26029;&#26381;&#21153;&#26816;&#27979;&#21040;&#22312;&#20135;&#21697;&#23433;&#35013;&#21518;&#26356;&#25913;&#36807;&#20197;&#19979;&#31995;&#32479;&#37197;&#32622;&#12290; &#20197;&#19979;&#26159;&#28155;&#21152;&#25110;&#25286;&#38500;&#30340;&#35774;&#22791;&#21015;&#34920;&#12290;
		  <!--XLATESTOP-->
              </PromptText>
              <CustomTable>
                    <xsl:apply-templates select="//Added/Device"/>
                    <xsl:apply-templates select="//Subtracted/Device"/>
                </CustomTable>
            </xsl:if>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35774;&#22791;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#26102;&#38388;&#25139;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select="../../@timestamp"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35774;&#22791;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#30828;&#20214;&#25110;&#25805;&#20316;&#31995;&#32479;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#26102;&#38388;&#25139;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults/Session/Empty">
			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
				</Data>
			</CustomButton>
    
        <TableData>
            <Row>
                <xsl:element name="Data">
                    <xsl:attribute name="value"><!--XLATESTART-->&#27809;&#26377;&#21487;&#29992;&#30340;&#37197;&#32622;&#24046;&#24322;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
                </xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
