<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
					<xsl:element name="DataArea">
						<xsl:attribute name="expand">true</xsl:attribute>
            <xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#36873;&#25321;<!--XLATESTOP--></xsl:attribute>
            <xsl:attribute name="backpagetarget">/servlet/DiagDispatch?transition=BatchLogSelect&amp;help=view</xsl:attribute>
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->&#35786;&#26029;&#32467;&#26524;<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <CustomTable>
                <xsl:apply-templates select="DiagnosticResults"/>
            </CustomTable>
        </xsl:element>
    </xsl:template>
    <xsl:template match="DiagnosticResults">
        <xsl:apply-templates select="Device"/>
    </xsl:template>
    <xsl:template match="Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select=".//Result/@timestamp"/><xsl:value-of select="@identifier"/><xsl:value-of select="@name"/><xsl:value-of select=".//Test/@mnemonic"/></xsl:attribute>
            <xsl:choose>
                <xsl:when test="contains(.//Result/@type, '2')"><xsl:attribute name="status">2</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '0')"><xsl:attribute name="status">4</xsl:attribute></xsl:when>
                <xsl:when test="contains(.//Result/@type, '1')"><xsl:attribute name="status">6</xsl:attribute></xsl:when>
            </xsl:choose>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/> (<xsl:value-of select=".//Test/@name"/>)</xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35774;&#22791;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
	              <xsl:if test="not(string-length(@description))">
	                    <xsl:element name="Data"><!--XLATESTART-->&#27809;&#26377;&#21487;&#29992;&#20449;&#24687;<!--XLATESTOP--></xsl:element>
			</xsl:if>
			<xsl:if test="string-length(@description)">
	                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
			</xsl:if>
		   </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#30828;&#20214;HW/&#25805;&#20316;&#31995;&#32479;&#35828;&#26126;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#26102;&#38388;&#25139;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@timestamp"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#27979;&#35797;&#32467;&#26524;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data">
					<xsl:if test=".//Result/@type = '0'"><!--XLATESTART-->&#22833;&#36133;<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '1'"><!--XLATESTART-->&#24050;&#32456;&#27490;<!--XLATESTOP--></xsl:if>
					<xsl:if test=".//Result/@type = '2'"><!--XLATESTART-->&#25104;&#21151;<!--XLATESTOP--></xsl:if>
                    </xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#32467;&#26524;&#35814;&#24773;&#65306;<!--XLATESTOP--></xsl:element>
                     <xsl:element name="Data">
				<xsl:if test="not(.//Result/ResultEvent)"><!--XLATESTART-->&#24050;&#25104;&#21151;&#23436;&#25104;&#27979;&#35797;&#25805;&#20316;&#12290;<!--XLATESTOP--></xsl:if>
				<xsl:if test=".//Result/ResultEvent">
					<ValueList><xsl:for-each select=".//Result/ResultEvent"><value><xsl:value-of select="@eventstring" /></value></xsl:for-each></ValueList>
				</xsl:if>
                     </xsl:element>
              </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#35831;&#27714;&#30340;&#36718;&#27425;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@totalpasses"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->&#36816;&#34892;&#30340;&#36718;&#27425;&#65306;<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select=".//Result/@completedpasses"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>

