<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strGoBack"/></xsl:attribute>
			<xsl:attribute name="submit">
				<xsl:choose>
					<xsl:when test="Caller">
						<xsl:call-template name="Caller">
							<xsl:with-param name="caller">
								<xsl:value-of select="translate(Caller, &apos;;&apos;,&apos;&amp;&apos;)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>javascript:history.back ()</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<PageTitle>
			<xsl:attribute name="display"><xsl:value-of select="$strFailureMessage"/></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data  name="Failure  Reason : ">
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@mode='port'">
								<xsl:value-of select="$strPort"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="$strIsAlreadyIn"/>
							</xsl:when>
							<xsl:when test="Failure/@mode='snmp'">
								<xsl:choose>
									<xsl:when test="Failure='2'"><xsl:value-of select="$strOldSNMPRoot"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="$strSNMPRootPassword"/></xsl:otherwise>
								</xsl:choose>								
							</xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	
	<xsl:template name="Caller">
		<xsl:param name="caller"/>
		<xsl:choose>
			<xsl:when test="contains ( $caller , 'onload=true')">
				<xsl:variable name="first" select="substring-before($caller , 'onload=true')"/>
				<xsl:variable name="second" select="substring-after($caller , 'onload=true')"/>				
				<xsl:value-of select="concat($first , 'onload=false' , $second)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$caller"/>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
	
	<xsl:template match="*"/>	
</xsl:stylesheet>
