<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <xsl:template match="/OMA">
        <xsl:apply-templates select="Session/Differences"/>
        <xsl:apply-templates select="Differences"/>
    </xsl:template>
    <xsl:template match="Session/Differences">
        <DataArea expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Changements de configuration mat&#233;rielle<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
                <xsl:apply-templates select="Empty"/>
        </DataArea>
    </xsl:template>
    <xsl:template match="Differences">
        <DataArea submit="/servlet/SubmitForm?plugin=com.dell.omaha.webplugins.DiagnosticDiffWebPlugin" validate="false" submitdisplay="Accuser r&#233;ception" expand="true">
            <PageTitle>
                <xsl:attribute name="display"><!--XLATESTART-->Changements de configuration mat&#233;rielle<!--XLATESTOP--></xsl:attribute>
            </PageTitle>
            <PromptText>
                <!--XLATESTART-->
		Diagnostic Service a d&#233;tect&#233; que la configuration de votre syst&#232;me a chang&#233; depuis la derni&#232;re ex&#233;cution des diagnostics. 
		La configuration du syst&#232;me peut avoir chang&#233; parce que des p&#233;riph&#233;riques ont &#233;t&#233; ajout&#233;s ou supprim&#233;s du syst&#232;me ou parce que le logiciel Diagnostic Service a &#233;t&#233; mis &#224; niveau et offre des capacit&#233;s de d&#233;tection de mat&#233;riel et de diagnostic suppl&#233;mentaires.
	
		Les p&#233;riph&#233;riques qui ont &#233;t&#233; ajout&#233;s ou supprim&#233;s sont r&#233;pertori&#233;s ci-dessous.  Cliquez sur le bouton 'Accuser r&#233;ception' pour accepter les changements.

		<!--XLATESTOP-->
            </PromptText>
            <CustomTable>
                <xsl:apply-templates select="Added/Device"/>
                <xsl:apply-templates select="Subtracted/Device"/>
            </CustomTable>
        </DataArea>
    </xsl:template>
    <xsl:template match="Added/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">2</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Description du p&#233;riph&#233;rique :<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Description du mat&#233;riel et du syst&#232;me d'exploitation :<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Horodatage :<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Subtracted/Device">
        <xsl:element name="CustomRow">
            <xsl:attribute name="name"><xsl:value-of select="@identifier"/><xsl:value-of select="../../@timestamp"/></xsl:attribute>
            <xsl:attribute name="status">4</xsl:attribute>
            <xsl:element name="ColumnItem">
                <xsl:attribute name="header"><xsl:value-of select="@name"/></xsl:attribute>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Description du p&#233;riph&#233;rique :<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@description"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Description du mat&#233;riel et du syst&#232;me d'exploitation :<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="@identifier"/></xsl:element>
                </Row>
                <Row>
                    <xsl:element name="Data"><!--XLATESTART-->Horodatage :<!--XLATESTOP--></xsl:element>
                    <xsl:element name="Data"><xsl:value-of select="../../@timestamp"/></xsl:element>
                </Row>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="Empty">
		<CustomButton>
			<Data name="Refresh">
				<xsl:attribute name="display"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:attribute>
			</Data>
		</CustomButton>
        <TableData>
            <Row>
                <xsl:element name="Data">
                    <xsl:attribute name="value"><!--XLATESTART-->Aucun changement de configuration mat&#233;rielle n'a &#233;t&#233; d&#233;tect&#233;<!--XLATESTOP--></xsl:attribute>
                </xsl:element>
            </Row>
        </TableData>
    </xsl:template>
    <xsl:template match="*"/>
</xsl:stylesheet>
